About RaQuest

Navigation:

About RaQuest

RaQuest is a requirements management tool designed to be used with Sparx Systems UML Modeling Tool Enterprise Architect (EA).

With RaQuest, users can manage requirements efficiently through all phases of system or application development. RaQuest is developed by SparxSystems Japan

RaQuest works with Enterprise Architect to extend EA's existing requirements management capabilities. Additional requirements management features provided by RaQuest are as follows:

·Print requirements lists

·Export requirements lists as an HTML or a Word document

·Generate Use Cases from requirements

·Generate requirements from Use Cases

·Track project personnel and assign requirements' responsibility to them

·Track changes of requirements and addition/deletion of the changes

Restrictions
Support and Requests
End User License Agreement (EULA)

raku

RaQuest is an abbreviation for "Requirement Adjustment Quest," reflecting our hope that RaQuest will make system development easier. (The pronunciation of 'RaQ' means "easy" or "happy" in Japanese. The corresponding Kanji is shown to the left.)


Restrictions

Navigation: About RaQuest >

Restrictions

WARNING To use RaQuest 6.0, you requires Enterprise Architect 15.0 or later. We do not guarantee that RaQuest works correctly on the earlier versions.

WARNING SparxSystems Japan guarantees that RaQuest version 6.0 works on Windows11, Windows 10, Windows Server 2022, Windows Server 2019 or Windows Server 2016 (with latest service pack). We do not guarantee that RaQuest works correctly on other operating systems.

WARNING To use floating license, you requires License Manager 1.3 or later.

WARNING There is functional restriction on some features by the edition of Enterprise Architect. See "RaQuest's action difference by Enterprise Architect's edition" for details.


Support and Requests

Navigation: About RaQuest >

Support and Requests

Registered users can use the on-line support. At the moment, all support is provided through e-mail. We make an effort to answer all e-mails quickly and to manage them for the future builds of RaQuest.

Sparx Systems Japan always care for the customers so that we can offer RaQuest as an efficient work tool. We consider any suggestions or feedback comments on our product, its documents, and the installation processes are precious to our company.

Please send your comments and request from the following URL.

https://www.sparxsystems.jp/en/inquiry.cgi

Or you can send them by e-mail.

global@sparxsystems.jp


End User License Agreement (EULA)

Navigation: About RaQuest >

End User License Agreement (EULA)

RaQuest - Requirements Management Tool for Enterprise Architect
End User License Agreement (EULA)

Copyright © 2004-2024 Sparx Systems Japan Co., Ltd. All Rights Reserved.

IMPORTANT - READ CAREFULLY:
This End User License Agreement is a legal agreement between you (an individual person) as the licensee of the SOFTWARE PRODUCT and Sparx Systems Japan Co., Ltd. as owner of the SOFTWARE PRODUCT.

By installing, copying, or otherwise using any version of the SOFTWARE PRODUCT, however obtained, YOU agree to be bound by the terms of this EULA. If YOU do not agree to the terms of this EULA immediately cease to use the SOFTWARE PRODUCT.

Your use of the SOFTWARE PRODUCT indicates your acceptance of this EULA and warranty. The EULA applies to all versions of the SOFTWARE PRODUCT, regardless of age, and may be updated at any time without notification to YOU, so please refer to this document from time to time.

The copyright in all versions of the SOFTWARE PRODUCT and its associated documentation is owned by SPARXJP, and is software that is licensed, not assigned to YOU. The license may be revoked. All rights not explicitly licensed to YOU are reserved to SPARXJP without limitation.

Subject to the terms of this EULA, YOU are granted a non-exclusive license to use the SOFTWARE PRODUCT, exclusively on the terms of this agreement. For the avoidance of doubt, YOU do not acquire ownership of copyright or other intellectual property rights in any part of the SOFTWARE PRODUCT by virtue of this EULA.

1. DEFINITIONS

In this End User License Agreement, the following terms apply unless otherwise specified,

·"EULA" means this End User License Agreement;

·"SPARXJP" means Sparx Systems Japan Co., Ltd. ;

·"YOU" means you an individual person or the organization (if any), or the person on whose behalf you are accepting the terms of this EULA;

·"SOFTWARE PRODUCT" means RaQuest, which includes computer Software and any applicable online or electronic documentation;

·"Registered Version of SOFTWARE PRODUCT" means the version of the SOFTWARE PRODUCT which is available for purchase from the web site: https://www.raquest.com/;

·"Trial Version of SOFTWARE PRODUCT" means the version of the SOFTWARE PRODUCT which is available free of charge for evaluation purposes;

·"Support Services" means email-based support provided by SPARXJP, including advice on usage of the SOFTWARE PRODUCT, investigation of bugs, fixes, repairs of models, if and when appropriate, and general product support;

·"SPARXJP support engineers" means employees of SPARXJP who provide on-line support services;

·"Remote Desktop" means a mechanism by which an end user runs an exclusive instance of the SOFTWARE PRODUCT on a remote machine, but manipulates the instance as if it were installed and executing on his current machine;

2. GRANT OF LICENSE IN THE SOFTWARE PRODUCT

Subject to clause 3 below and in accordance with the terms of this EULA, YOU are granted these rights:

·To install and use one copy of the SOFTWARE PRODUCT or, in its place, any prior version for the same operating system, on a single computer. This license is for direct and exclusive use of the SOFTWARE PRODUCT only through the input hardware mechanisms of the licensed computer, such as a keyboard, mouse, or via a touchscreen. As the primary user of the computer or device on which the SOFTWARE PRODUCT is installed, YOU may make a second copy for your exclusive use on either a home or portable computer.

·To store or install a copy of the SOFTWARE PRODUCT on a storage device, such as a file server, used only to install the SOFTWARE PRODUCT on the licensed users' local machine.

·If YOU want to increase the number of users entitled to concurrently access the SOFTWARE PRODUCT, YOU must notify SPARXJP and agree to pay an additional fee (if applicable) for the transfer in the type of license granted to YOU.

·To make copies of the SOFTWARE PRODUCT for backup and archival purposes only.

3. STANDARD, FLOATING AND ANNUAL STANDARD LICENSES IN THE REGISTERED VERSION OF SOFTWARE PRODUCT

There are three licenses available for the Registered Version of SOFTWARE PRODUCT.

A. Standard License: A standard license to use the Registered Version of SOFTWARE PRODUCT is linked exclusively to the person who has obtained it. It cannot be transferred without the consent of SPARXJP, which may be withheld at its discretion.

B. Floating License: A floating license to use the Registered Version of SOFTWARE PRODUCT is able to be purchased by companies or other organisations of more than one person. This license is transferable to other individuals within that organisation. The number of users that may use a Registered Version of SOFTWARE PRODUCT at any one time is limited to the number of licenses actually purchased.

C. Annual Standard License: A annual standard license to use the Registered Version of SOFTWARE PRODUCT is linked exclusively to the person who has obtained it. It cannot be transferred without the consent of SPARXJP, which may be withheld at its discretion. Subject to the terms of this agreement, the person who has obtained it is hereby licensed to use the Registered Version of SOFTWARE PRODUCT for a period of one year.

4. TRIAL VERSION OF SOFTWARE PRODUCT - GRANT OF EVALUATION LICENSE

The Trial Version of SOFTWARE PRODUCT is not 'free' software, it is licensed to YOU for evaluation purposes only. Subject to the terms of this agreement, YOU are hereby licensed to use the Trial Version of SOFTWARE PRODUCT for evaluation purposes without charge for a period described in SPARXJP website, from the date the Trial Version of SOFTWARE PRODUCT is first installed on your device or computer.

Upon expiration, the Trial Version of SOFTWARE PRODUCT must be removed from the device or computer. Continued unregistered use of the Trial Version of SOFTWARE PRODUCT after the evaluation period is in violation of Japan, Australian, U.S. and international copyright laws.

After the evaluation period has elapsed, a license to use the Registered Version of SOFTWARE PRODUCT must be purchased (as described at https://www.raquest.com/).

Upon payment of the license fee, YOU will be sent details on where to download the Registered Version of SOFTWARE PRODUCT and will be provided with suitable license key(s) by email.

5. ADDITIONAL RIGHTS AND LIMITATIONS

All rights not expressly granted to YOU are reserve by SPARXJP. For the avoidance of doubt, and without limitation:

·YOU explicitly undertake not to sell, rent, lease, translate, adapt, vary, modify, decompile, disassemble, reverse engineer, create derivative works of, modify, sub-license, loan, resell or distribute the SOFTWARE PRODUCT;

·SPARXJP does not allow you to virtualize features of the SOFTWARE PRODUCT separately, or work around any technical restrictions or limitations in the SOFTWARE PRODUCT;

·YOU undertake not to reproduce or distribute license keys;

·YOU further undertake not to use any part of THE SOFTWARE that will enable YOU to allow more than one user to use the Registered Version of SOFTWARE PRODUCT, despite only having obtained one standard license. This conduct is specifically prohibited and will result in your license being terminated and/or damages being sought for lost revenue;

·Remote Desktop access is permitted provided the end user is licensed, has agreed to the terms of this EULA and accessing their exclusive instance of SOFTWARE PRODUCT on their primary desktop machine

6. ASSIGNMENT

YOU may only assign all your rights and obligations under this EULA to another party if YOU supply to the transferee a copy of this EULA and all other documentation including proof of ownership. Your license is then terminated.

7. TERMINATION

Without prejudice to any other rights, SPARXJP may terminate this EULA if YOU fail to comply with the terms and conditions. Upon termination YOU or YOUR representative shall destroy all copies of the SOFTWARE PRODUCT and all of its component parts or otherwise return or dispose of such material in the manner directed by SPARXJP.

8. WARRANTIES AND LIABILITY

SPARXJP warrants that:

·The SOFTWARE PRODUCT will perform substantially in accordance with the accompanying written materials for a period of ninety (90) days from the date of receipt (and not for the avoidance of doubt, from the date of installation); and

·Any Support Services provided by SPARXJP shall be substantially as described in applicable written materials provided to YOU by SPARXJP on a case by case basis, and SPARXJP support engineers will make commercially reasonable efforts to solve any problems associated with the SOFTWARE PRODUCT.

9. EXCLUSION OF LIABILITY

To the maximum extent permitted by law, SPARXJP excludes, for itself and for any supplier of software incorporated in the SOFTWARE PRODUCT, all liability for all claims, expenses, losses, damages and costs made against or incurred or suffered by YOU directly or indirectly (including without limitation lost costs, profits and data) arising out of:

·Your use or misuse of the SOFTWARE PRODUCT;

·Your inability to use or obtain access to the SOFTWARE PRODUCT;

·Gross negligence of SPARXJP or its employees, contractors or agents, or of any supplier of software incorporated in the SOFTWARE PRODUCT, in connection with the performance of SPARXJP's obligations under this EULA;

·Termination of this EULA by either party for any reason

10. LIMITATION OF LIABILITY

The SOFTWARE PRODUCT and any documentation are provided "AS IS" and all warranties, whether express, implied, statutory or otherwise, relating in any way to the subject matter of this EULA or to this EULA generally, including without limitation, warranties as to: quality; fitness; merchantability; correctness; accuracy; reliability; correspondence with any description or sample, meeting your or any other requirements; uninterrupted use; compliance with any relevant legislation; and being error or virus free are excluded. Where any applicable legislation implies in this EULA any term, and that legislation avoids or prohibits provisions in a contract excluding or modifying such a term, such term shall be deemed to be included in this EULA.

However, the liability of SPARXJP for any breach of such term shall, if permitted by legislation, be limited, at SPARXJP's option to any one or more of the following, upon return of the SOFTWARE PRODUCT and a copy of the receipt.

If the breach relates to the SOFTWARE PRODUCT, SPARXJP shall at its discretion shall provide:

·A replacement of the SOFTWARE PRODUCT, or the supply of an equivalent SOFTWARE PRODUCT; or

·repair of such SOFTWARE PRODUCT; or

·payment of the equivalent cost of replacing the SOFTWARE PRODUCT, or of acquiring an equivalent SOFTWARE PRODUCT; or

·The payment of the cost of having the SOFTWARE PRODUCT repaired.

If the breach relates to services provided by SPARXJP in relation to the SOFTWARE PRODUCT, SPARXJP shall at its discretion provide:

·The services again; or

·The payment of the cost of having the services supplied again.

11. TRADEMARKS

All names of products and companies used in this EULA, the SOFTWARE PRODUCT, or the enclosed documentation may be trademarks of their corresponding owners. Their use in this EULA is intended to be in compliance with the respective guidelines and licenses. Windows, Windows XP, Windows 2003 Server, Windows 2008 Server, Windows Vista, Windows 7, Windows 8, Windows 10 and Windows 11 are trademarks of Microsoft.

12. PRIVACY AND CONTACT

At SPARXJP we take your privacy seriously. A copy of our privacy policy can be found https://sparxsystems.jp/en/privacy.htm. Should you wish to contact us regarding privacy or any other matter contained in this EULA, please contact us at the following address global@sparxsystems.jp

13. GOVERNING LAW

This agreement shall be construed in accordance with the laws of Japan.


Getting Started

Navigation:

Getting Started

This section covers the basics of starting and setting up RaQuest. Topics in this section are:

·Starting RaQuest

·Starting RaQuest from Enterprise Architect

·RaQuest Sample Project File

·Create a New Project


Starting RaQuest

Navigation: Getting Started >

Starting RaQuest

To start RaQuest, double-click the RaQuest icon on the Desktop or select RaQuest from the Windows Start menu.

When starting RaQuest for the first time after installation, the following dialog will be displayed:

In this dialog, enter your license key, which is provided by SparxSystems Japan. License authorization is necessary only when you start RaQuest for the first time.

WARNING When new version (build) is installed, the license registration window may be displayed. In this case, enter the latest license key issued when renewing the license, but not the one given at the first purchase.

If you use a floating license, check the floating checkbox and press the OK button. the following dialog will be displayed:

In this dialog, click Add Key button and Get Shared Key tab to specify the Shared Keystore and then select RaQuest as the product.

After the license authorization is succeeded, the following main window will displayed:

WARNING If RaQuest displays an error dialog or other message boxes, some essential files may be missing or not installed properly. Re-install RaQuest and try again.

After starting RaQuest, open an EA project file or connect to an EA server repository to start the project. The File menu displays the recently-opened files up to four for easy access.


Starting RaQuest from Enterprise Architect

Navigation: Getting Started >

Starting RaQuest from Enterprise Architect

The easiest way to start RaQuest from Enterprise Architect is to register RaQuest as an external application of Enterprise Architect. The detailed procedure to register RaQuest in Enterprise Architect is as follows:

1.Start Enterprise Architect.

2.Select Start | Appearance | Preferences | Other Options ribbon item. The Customize dialog will be displayed.

3.Select the Tools tab and click on the New icon toolsnew to add a new application.

4.Type in a suitable name like "RaQuest." Use the ampersand (&) to define a keyboard shortcut.

5.Enter the full path to RaQuest in the Command field.

6.Enter "$f"(the "" (double quote) is needed) in the Arguments field.

The Initial directory field can be left blank.

After making the above settings, RaQuest can be called from EA's Settings ribbon | User Tools panel, and the current project file in EA will be loaded to RaQuest automatically.


RaQuest Sample Project File

Navigation: Getting Started >

RaQuest Sample Project File

RaQuest has a sample project file called "RaQuestSample.qeax" to introduce the RaQuest features briefly.

The sample project file, RaQuestSample.qeax, opened by RaQuest main menu | Help | Open Sample Project. The following window will be displayed when opening this file by RaQuest.

(Note: The appearance of the window and the contents displayed in the window may vary depending on the RaQuest build and configuration.)

This file is intended to introduce the brief overview. Using this sample, RaQuest feature guide and startup manual are also provided. These are helpful references for starting RaQuest.

RaQuest features guide

RaQuest Startup Manual


Create a New Project

Navigation:

Create a New Project

There are two ways to create a new project file.

1.Create a new empty project file

All the project options have default values.

2.Create a new project file from the base project.

Settings of the base project are used for the project options and package structures.

1. Create a New Empty Project File

To create a new project file, follow the following steps:

Start RaQuest and select File | New Project menu item.

Enter the file name for a new project.

(For new SysML data Project, select "SysMLBase QEAX File" or "SysMLBase EAPX File" in the "Save as type".)

The new project file will be opened automatically. The project does not have any requirement items, so the requirement list is empty now.

WARNING It is recommended to set the login-user name, requirement type and requirement status. For more information about these settings, see the following links.

·User's Name Configuration

·Requirement Type Configuration

·Requirement Status Configuration

·Requirement Category Configuration

2. Create a New Project File from the Base Project

To create a new project file, follow the following steps:

Start RaQuest, and select File | Copy a Base Project menu item

Set the paths of a new project file and base file.

A new project file is created by copying base project, as below.

(The following image is an example of needs/features/requirements packages registered in the base project.)

INFO It is recommended to set the login-user name, requirement type and requirement status. For more information about these settings, see the following links.

·User Name Configuration

·Requirement Type Configuration

·Requirement Status Configuration

·Requirement Category Configuration


User's Name Configuration

Navigation: Create a New Project >

User's Name Configuration

RaQuest records a user name when s/he modifies or approves requirements. The setting of user name is shared between Enterprise Architect and RaQuest. When RaQuest cannot get the user name, RaQuest use Windows login name.

If RaQuest fails to get the current user name, the following dialog of "Failed to get login username" will be displayed when loading the project file.

If you see the above message, configure the user name as follows.

1.Select Tools | Local Options | View1.

2.Enter the user's name into the Default UserName textbox.

3.Click the OK button and then restart RaQuest. (If you are also running Enterprise Architect, restart both Enterprise Architect and RaQuest.)

It is useful to create a member with the same user's name in the project file. To create a new member, switch to the Members tab and right-click a division in the Members Tree and select the Add member menu item.

75 (Menu) 76 (after creation)

WARNING If you enable the EA's security feature, RaQuest uses "Firstname + space + Surname" as the current user name. but not the default user name set above, as the user name. You can check the current user name at the Current UserName textbox in the View1 tab. It is also useful to create a member with the same name (Firstname + space + Surname) in the project file.

WARNING For more information about the profile setting in Enterprise Architect when the security feature is enabled, see the "Login User Name" page.


Requirement Type Configuration

Navigation: Create a New Project >

Requirement Type Configuration

RaQuest uses requirement types such as "Functional," "Performance," "Usability," and so on. You can configure the choices of there types and use them as you need. The requirement types are shared between Enterprise Architect and RaQuest.

To configure requirement types, load the project file, and select Tools | Project Options | Requirement Types tab.

To create a new requirement type, click the New button and enter its type, description, and so on. Then click the Save button. To update the existing requirement type, select the requirement type in the list, and then update the information and click the Save button.

INFO You can modify these values after opening the project file. (see also Types Tab)

INFO If these values are set to SysML Data Project, the initial values are follows.

INFO Default Type in the Status and Initial Values is defined in this configuration.


Requirement Status Configuration

Navigation: Create a New Project >

Requirement Status Configuration

There are several status types for requirements. By default, there are "Approved," "Proposed," and so on. You can define your own status types. These status types are shared between Enterprise Architect and RaQuest.

To configure status types, load the project file, and then select Tools | Project Options | Requirement Statuses tab.

To create a new status type, click the New button and enter its status and description. And then click the Save button. To update the existing status type, select the status type in the list, and then update the information and click the Save button.

RaQuest assumes a particular requirement status flow, so you must define at least three status types, which are "Initial Status", "Reviewed Status" and "Approved Status". After you define them, set them into the corresponding textboxes in the Status and Initial Values tab.

INFO You can modify these values after opening the project file. (see also Statuses Tab)


Requirement Category Configuration

Navigation: Create a New Project >

Requirement Category Configuration

Requirements can be categorized by abstraction levels, such as "need," "feature," "specification," "business requirement," "stakeholder requirement," and "solution requirement." Category, which RaQuest call Requirement Category, can be created as needed. Selecting Requirement Category is the same with selecting Element Type in EA.

Open a project file and select Tools | Project Options | Category tab to configure Requirement Categories.

Press on the New button to create new Requirement Category, and then enter a name, icon and other information. Save them from the Save button. To update, select the one you need to edit from the list. After edition, press on the Save button.

INFO You can modify these values after opening the project file. (see also Categories Tab)

WARNING The number of Requirement Category is settable without limit, but they are viewed up to 15 at Menu of New Requirement.


RaQuest Setup for using project of Enterprise Architect

Navigation:

RaQuest Setup for using project of Enterprise Architect

This section covers the following topics:

1.Opening a Project of Enterprise Architect

2.Specifying RaQuest Package

3.Specifying SysML Data Project

4.Configuring Basic Options


Opening a Project of Enterprise Architect

Navigation: RaQuest Setup for using project of Enterprise Architect >

Opening a Project of Enterprise Architect

The project files of Enterprise Architect (QEAX,EAPX) can be used in RaQuest. To open the project file, select Files | Open menu item. Specify the desired project file at the following dialog.

For Enterprise Architect DBMS projects and Pro Cloud servers, please open an existing project from the “Connect to Server Repository” in the File Menu.

When you need a new project, create it according to the "Create a New Project" page or create it in Enterprise Architect.

When opening a project file (QEAX,EAPX) of Enterprise Architect for the first time, see the "Specifying RaQuest Package" page.


Specifying RaQuest Package

Navigation: RaQuest Setup for using project of Enterprise Architect >

Specifying RaQuest Package

When RaQuest opens a project file (QEAX,EAPX) of Enterprise Architect, it shows a messages, "This project done not have RaQuest information." Select "Yes" to specify package that RaQuest handles. If you skip this procedure, you cannot use the project file by RaQuest.

The following dialog is used for specifying the RaQuest package. In this dialog, you can also add a new package by clicking the Add New button.

When a project file of Enterprise Architect (QEAX,EAPX) is opened by RaQuest for the first time, the requirements package must be specified for the initial setup.

Next step is Specifying SysML Data Project.

RaQuest uses the following two packages:

·Requirements Package

The requirements package is a container to store the requirements generated in RaQuest. Each requirement item is stored as an EA requirement element.

·Use Cases Package

The Use Cases package is a container to generate and store Use Cases, which will be synchronized with requirement elements. This package can be specified when you use the Generate Use Cases feature and the Generate Requirements from Use Cases feature.

INFO You can change the locations of the packages as needed from the Project Options | Packages menu item.


Specifying SysML Data Project

Navigation: RaQuest Setup for using project of Enterprise Architect >

Specifying SysML Data Project

Confirm to setting "SysML Data Project." Click on "Yes" if requirements are specified as SysML requirements.

Please refer the SysML Data Project for actions on SysML Data Project.

WARNING Once a project is defined as SysML Data Project, the setting cannot be changed. It is possible to change a project to SysML Data Project anytime, but not the other way around.

Next step is Configuring Basic Options.


Configuring Basic Options

Navigation: RaQuest Setup for using project of Enterprise Architect >

Configuring Basic Options

If the options "Initial Status", "Reviewed Status", "Approved Status" and "Initial Type" used by RaQuest status flow management have not been defined, the following configuration dialog may appear while RaQuest is loading the project file. Configure these options using this dialog (see also Status and Initial Values Tab).

INFO You can modify these values after opening the project file. (see also Status and Initial Values Tab)


Notice

Navigation: RaQuest Setup for using project of Enterprise Architect >

Notice

WARNING The RaQuest root node contains important information about the current project. DO NOT DELETE THIS NODE! If it is deleted, modified or moved, unexpected results may occur.


Requirements Management in RaQuest

Navigation:

Requirements Management in RaQuest

This section covers the following topics:

Status Flow in RaQuest


Status Flow in RaQuest

Navigation: Requirements Management in RaQuest >

Status Flow in RaQuest

RaQuest is assumed to manage the requirement by the following state flow.

The state 'Reviewed' indicates that the requirement has been reviewed.

The state 'Approved' indicates that the requirement has been finalized.

The state "Other status" refers to any additional requirement statuses that have been defined for your project.

The newly created project has the following statuses by default. Names of all statuses are customizable. Additional statuses like "Investigation Required" or any desired statuses can be created in "Other Statuses."

·"Initial Status": Proposed

·"Other Status": Considering, Pending, Obsolete, Duplication

·"Reviewed": Validated

·"Approved": Approved

When creating a requirement, its state is always set to the status configured in "Initial Status". RaQuest will monitor subsequent changes you make to this status and act correspondingly:

Changes between any of the statuses characterized as 'In Process' will be allowed.

When the requirement status is changed from one of the statuses classified "In Process" to the status "Reviewed" RaQuest will ask for confirmation:

Upon confirmation the requirement will become locked (can no longer be modified).

Modifying Reviewed or Approved Requirements

If you try to modify a requirement that is locked by "Reviewed" or "Approved" status, the following confirmation dialog appears:

If you click Yes button here to unlock the requirement, its status goes back to "Initial Status." In addition, all dependent requirements will have a flag of "Review Required." To check which requirements will be affected, use the "Relationship Map" feature. It illustrates the requirements relationships and helps you figure out the impact of the modification.


Window Summary

Navigation:

Window Summary

This section covers the following topics:

·Main Window

·Left Pane

·Right Pane

·Lower Right Pane


Main Window

Navigation: Window Summary >

Main Window

The main window of RaQuest is divided into two parts.

When the Tools | Local Options | View1 | Always Display Requirement option is checked, the main window is divided into three parts, the left pane, the right pane and the lower right pane, as shown below:


Left Pane (Tree view)

Navigation: Window Summary >

Left Pane (Tree view)

The Left pane (Tree view) normally has two tabs. One tab is for the Project Tree, which displays the requirements and their hierarchy, and the other tab is for the Members Tree, which shows the organization of the project team.

Project Tree

In the Project Tree, all requirements and packages are displayed as a hierarchy. A package can have requirements and other packages, and a requirement can also have child requirements. You can also create child packages under requirements, but the packages cannot be moved to other requirements or packages.

Members Tree

In the Members Tree, all members and divisions are shown hierarchically. Note that divisions can be nested. To modify, move or delete members or divisions, right-click on them and select the appropriate item from the context menu, as shown below.

To add new members or new divisions, right-click their parent divisions and select the Add Member or Add Division menu item.

Organizing the Requirement Tree View

It is possible to display the Project Tree with requirements organized by type, status, and requirement category or the tree can be customized. It is also possible to define and display customized tree views. Examples are shown below.

By type | By status | By category | Destination Tree | Source Tree | Custom tree
81 | 82 | 142 | 150 | 151 | 83

To show these trees, select View | Tree menu item and then select the desired tree view. A tab for the selected tree view is then added.

Close Tree Views

To close a tree view, right-click on the associated tab and select Close. When there are too many tabs to display all at once, you can check all tabs by scrolling through the tab area. Close All closes all tree views. The Ctrl+W key combination closes the current tab.


Right Pane (List view)

Navigation: Window Summary >

Right Pane (List view)

In the right pane (list view), requirements are displayed in the list. This pane also has tabs for other list. Initially there is only one tab, which contains all lists in the current project. When an additional requirements list is opened, the number of tabs will be increased.

Switching the List Items

By selecting an item from the dropdown list of the upper right, the list items can be changed. For the settings, go to Project Options | List Fields, or Local Options | List Fields.

Sorting Requirements

In each list, you can sort requirements by clicking the list header.

Requirements are normally displayed in black, but in the following cases, requirements are displayed in different colors:

·Past Due: Red

·Approved: Gray

·Reviewed: Blue

·Review Required: Green

These colors are customizable using the Options dialog.

In the Files list, the information about the files are normally displayed in black, but in the following cases, the files are displayed in different colors:

·Last file update date is later than its creation date.

These colors are not customizable.

Updating Requirements

You can change some values in the lists using the edit box or the drop down list when you click (or double click when the option Always Display Requirement is enabled) the value in the Requirements List view, as shown below.

Closing a Requirements List View

To close a tab, click on the close (x) button on the screen or right click the tab and select Close. Ctrl+W also closes the current tab. When a number of tabs are opened and no space to display them, use the horizontal scroll bar as needed. Close All of the right-click menu closes all lists at once.


Lower Right Pane (Requirement Properties)

Navigation: Window Summary >

Lower Right Pane (Requirement Properties)

When the Tools | Local Options | View1 | Always Display Requirement option is enabled, the selected requirement's properties are always displayed in the lower right pane. On start-up, an empty requirement properties dialog is displayed.

For more information about the requirement properties, see Requirement Properties.

The following shortcut keys are effective in this pane.

·CTRL+TAB (move next tab)

·CTRL+SHIFT+TAB (move previous tab)

·CTRL+U (update)

·CTRL+N (new requirement)


Window Detail

Navigation:

Window Detail

This section covers the following topics:

·Lists

·Project Tree Details

·Members Tree Details

·Tree by Type, by Status, by Category, and Custom Tree

·Operations between Trees and Requirements List


Lists

Navigation: Window Detail >

Lists

The following requirements lists are provided:

·Lists for Requirements

oRequirement List

oChange List

oTo-Do List

oMember Unassigned Requirement List

oReview Required List

oWaiting for Approval List

oList with Priority Value

oUpdate Log List

·Package List

·Member Requirements

·Lists for Relationships

oRelationship List

oDestination Requirements

oSource Requirements

§Lists for Requirement Items

·UML Item List

·File List

·Assigned Member List

·Test Item List

·Comment List

List headers can be configured by using the Tools | Local Options | List Fields or Tools | Project Options | List Fields menu items.

List Operations

Sort

You can sort requirements in ascending order by clicking the requirements list header. Clicking a header twice sorts the requirements in descending order. Combinations of sorting are also possible. For example, if you first click the "Priority" header and then click the "Status" header, requirements will be sorted first by status values, and then for a given status, sorted by the priority values.

When printing the list, the order of requirements is the same as that of the current list on screen. Before printing, sort the list and/or apply a filter(s) to the list as desired.

Double Click

Displays the Properties dialog for the selected requirement. (If the option Always Display Requirement is enabled, the lower right pane will update.)

Checkbox

This checkbox decides the actions of the context menus of right click and the actions of right click drag & drop, described below, to multiple requirements. The selection is effective only to the one tab of the list, which means that the same menu of the other tab is not selected by this.

Right Click

Displays the following context menu:

44 | 136
(No check in the checkbox) | (Check(s) in the checkbox)

·Checked Requirements

oEdit Attribute

Edit the attributes of checked requirements all together.

oChange Category

Change the category of checked requirements all together.

oDelete

Delete the checked requirements all together.

·Properties

Displays the Properties dialog for the selected requirement.

·Change Requirement Category

Change the category of selected requirement.

·Approval

Displays the Approval dialog for the selected requirement.

·Locate in Project Tree

Moves the cursor to the selected requirement in the Project Tree.

·New Pakcage/New Requirement/New Change

Creates a new package/requirement/change. The new package/requirement/change will be placed under the selected requirement.

·Search

Displays the Search dialog.

·Filter List

Display the Filter dialog.

·Destination Requirements

Display the list of requirements which will be affected by the modification of the selected requirement.

·Source Requirements

Display a list of requirements whose modification will affect the selected requirement.

·Show Relationship Map

Display visually, the relationships between the selected requirement and other requirements. See "Relationship Map" page for more information.

·Delete Relationship

Delete a relationship between requirements. The following dialog will be displayed when this menu item is selected:

·Delete

Delete the selected requirement.

Close Lists by Right Click

By close tool button or right-clicking on a list tab and selecting the menu item, you can close the current list or all lists.

Drag & Drop

Drag & Drop in the list creates relationship between elements. Target element is dependent on the dragged elements (When the targeted element is modified, the dragged element must be reviewed). The result of the operation will be displayed on the Status bar.

Settings of List Fields (attributes)

List items can be switched with other items by selecting the list items in the upper right combo box. For the settings, go to Project Options | List Fields or Local Options | List Fields.


Project Tree Details

Navigation: Window Detail >

Project Tree Details

Contents of the Project Tree

The project tree shows requirements in a hierarchical structure, as shown in the figure below. You can store each requirement in package. You can also create a package under a requirement for further categorization of the requirements.

Project Tree Operations

Drag & Drop

You can perform the following actions by drag & drop in the project tree. The result of the action will be displayed on the status bar.

·Drag & Drop a Requirement to Another Requirement

This action moves the selected requirement under the targeted requirement as a child requirement. Depending on the option setting of General Features 1 tab, a dependency relationship to dragged element is automatically created. If so, the changes made to the dragged element influences the other element.

·Drag & Drop a Requirement to a Package

This action moves the selected Requirement under the target package.

·Drag & Drop a Package to another Requirement

This actoin does not make changes. This is an invalid operation.

·Drag & Drop a Package to another Package

This action moves the selected package under the target package.

·Right Drag & Drop a Requirement to another Requirement

This action moves the selected requirement or creates relationship.

·Right Drag & Drop a Requirement to another Package

This action moves the requirement.

·Right Drag & Drop a Package to another Requirement

This actoin does not make changes. This is an invalid operation.

·Right Drag & Drop a Package to another Package

This action moves the package.

Note that dragging a package to a requirement is not allowed.

Double Click

This action displays the "Properties" dialog of requirement or package. (If the option Always Display Requirement is enabled, the properties are shown at the lower right pane.) You can also use the Open branch by double-click in Project Tree option. If this option is enabled, RaQuest will open the branches of the target item by double clicking.

Right Click

The following context menus will be displayed:

Requirement | Package
41 | 42

·Properties

Displays the properties dialog for the selected item.

·New Package/New Requirement/New Change

Creates and adds a package/requirement/change as a child of the selected item.

·Requirement List

Displays requirements as a list. If a package is selected in the project tree, the list contains all requirements under the selected package.

·Destination Requirements

Displays a list of requirements which will be affected by the modification of the selected requirement.

·Source Requirements

Displays a list of requirements whose modification will affect the selected requirement.

·Show Relationship Map

Display visually, the relationships between the selected requirement and other requirements. See "Relationship Map" page for more information.

·Expand All

Expands all children items of the selected item.

·Collapse All

Collapses all children items of the selected item.

·Move Up/Move Down(CTRL+UP/DOWN)

Moves the selected item up or down in the tree.

·Delete

Deletes the selected item.

·Display Package Status Report

Displays the status report for the selected package.


Members Tree Details

Navigation: Window Detail >

Members Tree Details

Contents of Members Tree

The Members tree shows members and divisions. If the same member as the Enterprise Architect login user is created in RaQuest in advance, RaQuest can use that name as the current user's name. This can be useful for entering comments and other operations.

Members Tree Operations

Drag & Drop

This action changes the position of the selected item. The item must be dragged to a division. The result of the action will be displayed on the Status bar.

Right Click

When you right-click a member or a division, the following menu will be displayed.

·Change Name

Change the name of the currently selected item.

·Add Member, Add Division

Create and add a new member or a division. Division (package) has to be selected.

·Show Assigned Requirements

Display a list of assigned members for the selected item. If a requirement is selected in the Project Tree as a target, the list contains all assigned members for the selected requirement. If a package is selected in the Project Tree as a target, the list contains all assigned members for all requirements under the selected package.

·Expand All

Expand all children items of the selected item.

·Collapse All

Collapse all children items of the selected item.

·Move Up, Move Down (CTRL+UP/DOWN)

Move the selected item up or down in the Members Tree.

·Delete

Delete the selected item.


Tree by Type, by Status, by Category, and Custom Tree

Navigation: Window Detail >

Tree by Type, by Status, by Category, and Custom Tree

Tree by Type displays a tree of requirements grouped by requirement types.

Tree by Status displays a tree of requirements grouped by requirement version and status.

Tree by Category displays a tree of each requirement category.

Custom Tree displays a tree of requirements, sorted by the combination of two attributes specified by the user.

Operations

Drag & Drop

In all of these tree views, drag & drop is enabled only from a requirement to a package. Dragging a package is invalid. The result of drag & drop the requirements is described below. When drag & drop fails, a message dialog will be displayed.

·Drag a Requirement to a Package

Change the requirement's attribute to the dragged package's and move it under that.

Double Click

Display the properties dialog of the selected requirement.

Right Click

One of the following menus will be displayed:

87 (Requirement) 86 (Package)

·Properties

Show the properties dialog of the selected item.

·Destination Requirements

Display the list of requirements which will be affected by the modification of the selected requirement.

·Source Requirements

Display a list of requirements whose modification will affect the selected requirement.

·Show Relationship Map

Display visually, the relationships between the selected requirement and other requirements. See the Relationship Map page for more information.

·Requirements List

Display the requirements list which have the specified attribute value.

·Expand All

Expand all children items of the selected item.

·Collapse All

Collapse all children items of the selected item.


Destination Tree, Source Tree

Navigation: Window Detail >

Destination Tree, Source Tree

Destination Tree displays Destination Requirements of the requirement by Tree.

Source Tree displays Source Requirements of the requirement by Tree.

When there are more than one Source Requirements in Destination Tree or more than one Destination Requirements in Source Tree, the same requirement is shown many times in both cases.

Both Trees are useful for grasping whole picture of the relationship between requirements.

When the relationships are circulated as the following Relationship Map, RaQuest shows the Tree as described below. RaQuest shows a red circle at the upper right of the requirement icon displayed twice in the circulation.

153 Relationship Map 154 Destination Tree

Operations

Drag & Drop

Drag & Drop is not available.

Double Click

Display the properties dialog of the selected requirement.

Right Click

One of the following menus will be displayed:

·Properties

Show the properties dialog of the selected item.

·New Requirement(Not implemented in current build)

Create a new requirement as Destination Requirement or Source Requirement of the selected item.

·Destination Requirements

Display the list of requirements which will be affected by the modification of the selected requirement.

·Source Requirements

Display a list of requirements whose modification will affect the selected requirement.

·Show Relationship Map

Display visually, the relationships between the selected requirement and other requirements. See the Relationship Map page for more information.


Operations between Trees and Requirements List

Navigation: Window Detail >

Operations between Trees and Requirements List

Drag & Drop

The result of the drag & drop operation will be displayed on the Status bar.

·Drag & Drop a Requirement to another Requirement

Creates a relationship between requirements such that the dragged requirement is dependent on the targeted requirement. (When the targeted requirement is modified, the dragged requirement must be reviewed.)

·Drag a Member to a Requirement or Drag a Requirement to a Member

Assigns the member to the requirement.

·Drag & Drop a Requirement to a Package While Holding Down the Shift Key

Moves the requirement into the package.

·Other Operations

Invalid.

Right Drag & Drop

Right drag & drop is available from the list to the project tree. When dropping, a menu appears.

·Create Relationships with Checked Requirements

Creates relationships between checked requirements in the list and the dropped requirement.

·Move Checked Requirements

Moves the checked requirements to the dropped requirement or package.

·Create a Relationship

Creates relationship between dragged and dropped requirements.

·Move a Requirement

Moves the dragged requirement to the dropped requirement or package.

Selecting the same requirements

To automatically select the same items in the tree and the list, check the Tools | local Options | View2 | Select the Same Items in both Tree and List option.


Matrix View

Navigation: Window Detail >

Matrix View

In RaQuest, many-to-many relationships between requirements (or requirements and use cases, UML items or members) can be defined. You may need to check relationships and edit them. RaQuest provides a matrix view to show relationships between requirements and other items. The feature makes it easy not only to check relationships visually, but also to create and delete relationships.

·Requirements Matrix

·Member Matrix

·Use Case Matrix

·UML Item Matrix

review required relationships : 155

The following operations are possible.

·Target

Specify the target element and the package to display.

oRequirement, Member, Use Case, UML Item

Specify the elements of the target.

oUpper

Specify the requirements package. (select with button)

oLower

Specify the package of the element. (select with button)

oFilter button

Specify the filtering keywords.

oCombo box

Specify the target element type.

·Color unrelated

Display rows or columns, which have no relationship, in red in the matrix.

·Update

Update the current matrix.

·Export CSV

Export the matrix data to a CSV file.

·Export RTF

Export the matrix data to a RTF file.

·Close

Close current matrix.

·Double click a cell

When there is no relationship, make a new relationship. When there is already a relationship, delete or change the direction of the relationship.

·Click a header

Sort the row or the column.

·Right click on the matrix.

Display the following menu.

111 Option menu

114 Create or delete relationship menu

By setting "Resizable height/width" to ON in options menu, you can change the width and height of the header line, and change the amount of the requirement summary displayed.


Main Menu Details

Navigation:

Main Menu Details

This section covers RaQuest menu features. The order of topics is based on the order in the main menu, shown below:

·File

·Edit

·View

·Search

·Project

·Tree

·List

·Matrix

·Requirement

·Tools

·Help


File Menu

Navigation: Main Menu Details >

File Menu

The File menu is shown below:

·New Project

Create a new project file (QEAX,EAPX) and open it.

·Copy a Base Project

Copy a base file to create a new project file, and open it.

·Open

Open a project file. The user must select an existing project file. RaQuest can open Enterprise Architect project files (QEAX,EAPX).

·Connect to Server Repository

Connect to an Enterprise Architect server repository. When you select this menu item, the Connect to Server Repository dialog (below) will be displayed. Enter the connection string for the Repository or select the server from the drop down list. The drop down list contains strings which have been recently used in Enterprise Architect.

The following procedure is useful for determining the connection string:

1.Start Enterprise Architect and open the desired server repository. (This operation will register the connection string to the Recent Projects list in the Open Project dialog.)

2.Select EA Icon | Open Project menu item in Enterprise Architect. The Manage Projects dialog will be displayed.

3.Select the desired server repository from the Recently Projects list.

4.Select Edit connection string menu item in context menu.

5.The connection string for the server repository will be displayed in the Enter Value textbox in Connection String Dialog.

6.Copy the whole value(connection string).

7.Paste the copied string to the RaQuest's Connect to Server Repository dialog. Once the server repository is opened by RaQuest, it will be registered in the RaQuest File menu for easy access.

·Close

Close the current project file. The options are saved when the project file is closed.

·Reload

Close the current project file and reopen it. When the current project file is used by more than one member at the same time, reloading the project will reflect changes which are made by other users. Some options are also updated by reloading the project.

·Print

Print out the list which is currently displayed on the screen. RaQuest prints the list as it is displayed on the screen. Before using this feature, prepare the target list on the screen by sorting or filtering it as desired. (Note: Click the list tab before printing.)

·Print Preview

Display the print preview on the screen to check the result before printing out the list. Before using this feature, prepare the target list on the screen by sorting or filtering it as desired. (Note: Click the list tab before printing.)

·Print Setting

Settings for the printing.

·Import

You can import an external file and add requirements from the file to the package which is currently selected in the Project Tree.

1.CSV

Import a CSV formatted file (.csv extension). The data format of CSV can be specified. RaQuest can overwrite requirements when the requirement has the same requirement ID or the same GUID.

·Export

Export requirements in various formats, as follows:

1.HTML

Export all requirements under the specified package to an HTML file (.htm extension). The data format of the HTML file is fixed.

2.RTF

Export all requirements under the specified package to an RTF file (.rtf extension). The data format is customizable with the document template of Enterprise Architect.

3.CSV

Export requirements to a CSV file (.csv extension). The data format of CSV file can be specified.

4.Excel

Export requirements to a Microsoft Excel file (.xlsx extension). MS-Excel must be installed correctly to use this feature.

·Collect Related Files

Copy all files which are associated with the requirements to a specified directory. This feature is useful when you move the project file or you want to collect all the information pertaining to the requirements. If the requirements have related URLs, RaQuest also generates Windows URL shortcut files. In a future version, you will be able to update the file path of all requirements when the project file is moved to another location.

·Exit

Exit RaQuest.


Edit Menu

Navigation: Main Menu Details >

Edit Menu

The Edit menu is shown below:

·Copy

Copy the selected requirement in the Requirements list or in the Project Tree. After copying, you can use the Paste command to create a copy of the requirement.

·Cut

Cut the selected requirement in the Requirements list or in the Project Tree. After cutting, you can use the Paste command to move the requirement.

·Paste

This menu item pastes the requirement which is already copied or cut. If a package is selected as a target, the requirement will be pasted under the selected package. If a requirement is selected as a target, the requirement will be pasted as a child of the selected requirement.

You cannot paste a requirement into the Requirements list.

·Delete Delete the currently selected requirement in the Requirements list or in the Project Tree, unless the requirement's settings prohibit deletion. If deletion is permitted, a confirmation dialog will be displayed before deletion.


View Menu

Navigation: Main Menu Details >

View Menu

The View menu is shown below:

·Toolbar

Show or hide the toolbar.

·Status bar

Show or hide the status bar at the bottom of the RaQuest main window.

·TreeToolButtons

Show or hide the tool buttons at the top of the tree window.

·ListToolButtons

Show or hide the tool buttons at the top of the list window.


Search Menu

Navigation: Main Menu Details >

Search Menu

The Search menu is shown below:

·Search

Move the cursor in the current Requirements List to the first requirement that meets the specified search condition.

·Search Next

Find the next requirement meeting the most recently used search condition downward from the current cursor position.

·Search Prev.

Find the next requirement meeting the most recently used search condition upward from the current cursor position.

·Filter List

Filter the current Requirements List and show all requirements meeting the specified condition. This feature can be used as many times as needed to further refine the filtering. (Note that RaQuest cannot restore a filtered list to its previous state) The Run (New Tab) button will open the result in a new tab.

If you are applying a filter to the following list types, the corresponding filter dialogs will be displayed.

oUML Item List

oFile List

oAssigned Member List

oTest item List

oComment List

109 UML Item List

125 File List

126 Assigned Member List

129 Test Item List

127 Comment List

·Replace

Replace all requirements' (or packages') texts using the specified condition.

·Search in Tree

Search the Project Tree using the specified search condition and display the results.


Project Menu

Navigation: Main Menu Details >

Project Menu

The Project menu is shown below:

·Manage Baselines

Display the Manage Baselines dialog. See detail Manage Baselines.

·Glossary

Display the Glossary dialog. In this dialog, you can edit glossary terms.

·Security

oChange Login User

Change the current login user to another user.

oChange Password (Not implemented in current build)

Change the password of current login user.

·Statistics

oDisplay Current Status Report

Display statistics for the current project as shown below:

oExport Report as CSV

Export the status report to a file in CSV format.

·Duplicate ID Check

Check for duplicate requirement IDs.


Tree Menu

Navigation: Main Menu Details >

Tree Menu

Tree Submenu:

·Project Tree

Display the Project Tree.

·Member Tree

Display the Member Tree.

·by Type

Display a tree sorted by a requirement type.

·by Status

Display a tree sorted by the combination of requirement version and status.

·by Category

Display a tree sorted by a requirement category.

·Destination Tree

Display the Destination Tree.

·Source Tree

Display the Source Tree.

·Custom Tree

Display the custom tree.

Display the dialog below. You can specify sorting by any attributes including User-Defined Attributes. The specified conditions are able to be saved in the menu for later use.

(The checkbox of Display values even if those are not used can be selected when values are enumerated like types. Usually, if enumerateon values are not used in requirement, RaQuest does not display a package of that attribute value. If it has a check, tree will show the package of that attribute value even if the enumeration values are not used to any requirement.)


List Menu

Navigation: Main Menu Details >

List Menu

List Submenu:

·Requirement List

Display requirements as a list. If a package is selected in the Project Tree as a target, the list contains all requirements under the selected package.

·Change List

Display change requirements associated with the selected item. If a package is selected in the Project Tree as a target, the list contains all change requirements under the selected package.

·To-Do List

Display a list of incomplete (neither reviewed nor approved) requirements. If a package is selected in the Project Tree as a target, the list contains all incomplete requirements under the selected package.

·Member Unassigned List

Display a list of member unassigned requirements.

·Review Required List

Display a list of review required requirements.

·Waiting for Approval List

Display a list of requirements which are yet to be approved. If a package is selected in the Project Tree as a target, the list contains all requirements, yet to be approved, under the selected package. This list is useful to approve multiple requirements at a time. To approve, select a requirement in the list, and then select Requirements | Approval menu item.

·List with Priority Value

Display a list of requirements with the Priority Value field. Each priority value of requirements is calculated from the priority, difficulty, etc. This list always contains all requirements in the current project file.

·Update Log List

Display an update log. If a requirement is selected in the Project Tree as a target, the list contains update logs associated with the selected requirement. If a package is selected in the Project Tree, the list contains all update logs for all requirements under the selected package.

·Package List

Display a list of packages. This list always contains all package in the current project file.

·Member Requirements

Display requirements assigned to the selected member. Select the member in the Members Tree before performing this operation.

·Relationship List

Display a list of relationships between requirements. If a package is selected in the Project Tree, the list contains relationships for all requirements under the selected package.

·Destination Requirements

Display the list of requirements which will be affected by the modification of the selected requirement.

·Source Requirements

Display a list of requirements whose modification will affect the selected requirement.

·UML Item List

Display a list of UML Items which are associated with the selected item. If a requirement is selected in the Project Tree as a target, the list contains all UML Items which are associated with the selected requirement. If a package is selected in the Project Tree as a target, the list contains all UML Items for all requirements under the selected package.

·File List

Display a list of files which are associated with the selected item. If a requirement is selected in the Project Tree as a target, the list contains all files associated with the selected requirement. If a package is selected in the Project Tree as a target, the list contains all files for all requirements under the selected package.

·Assigned Member List

Display a list of assigned members for the selected item. If a requirement is selected in the Project Tree as a target, the list contains all assigned members for the selected requirement. If a package is selected in the Project Tree as a target, the list contains all assigned members for all requirements under the selected package.

·Test Item List

Display a list of test items which are associated with the selected item. If a package is selected in the Project Tree as a target, the list contains all test items for all requirements under the selected package.

·Comment List

Display comments which are associated with the selected item. If a package is selected in the Project Tree as a target, the list contains all comments under the selected package.

For the details of List Operations, please refer to Lists.


Matrix Menu

Navigation: Main Menu Details >

Matrix Menu

Matrix Submenu:

·Matrix

Display matrix window.

·Requirements Matrix

Display relationships between requirements in a matrix form. You can modify or delete relationships from this matrix.

·Member Matrix

Display relationships between requirements and members in a matrix form. You can modify or delete relationships from this matrix.

·Use Case Matrix

Display relationships between requirements and Use Cases in a matrix form. You can add or delete relationships by clicking a cell in the matrix diagram. If the Use Case package has not been specified, a configuration dialog will be displayed for selecting the Use Case package.

·UML Items Matrix

Display relationships between requirements and UML Items in a matrix form. You can modify or delete relationships from this matrix.

For the details of matrix dialog, please refer to Matrix View.


Requirement Menu

Navigation: Main Menu Details >

Requirement Menu

The Requirement menu is shown below:

·Edit Checked Requirements Attributes

Display a new window to show the attributes of checked requirements for editing.

·Change Checked Requirements Categories

Display a new window to show the checked requirement categories for making changes.

·Delete Checked Requirements

Delete the checked requirements all at once.

·Properties

Display the properties dialog of the current requirement in new window. Requirement properties can be edited as needed from this dialog.

·Change Requirement Category

Display a new window to change the requirement category.

·New Package

Create a new package. When creating, it is required to select a package to be the parent of new package in tree.

·New Requirement

Create a new requirement under the package or the requirement currently selected in the Project Tree or in the Requirements List.

·New Change

Add a new change under the requirement currently selected in the Project Tree or in the Requirements List.

·New Comment

Add a new comment under the requirement currently selected in the Project Tree or in the Requirements List.

·Approval

Approve the currently selected requirement in the Project Tree or in the Requirements List. To approve a requirement, the status of the requirement must be "Reviewed." When you select this menu item, the following dialog will be displayed:

·Set Constraints between Requirements(Not implemented in current build)

Set constraints between requirements. For example, you can define a constraint that validates a requirement automatically when its related requirement is valid ("and" relation), or a constraint that invalidates a requirement automatically when a related requirement is valid ("or" relation).

·Set Relationships between Requirements(Not implemented in current build)

This is useful to display the dependencies between a source requirement and its destination requirements. (When a source requirement is modified, the destination requirements are affected.) In the current version, you can set relationships between requirements by drag & drop.

·Show Relationship Map

Display visually, the relationships between the selected requirement and other requirements. See "Relationship Map" page for more information.


Tools Menu

Navigation: Main Menu Details >

Tools Menu

The Tools menu and its submenus are shown below:

·Run Enterprise Architect

Start Enterprise Architect and load the current project file in Enterprise Architect.

·Enterprise Architect Features

oGenerate Use Cases

Automatically generate Use Cases to the Use Case package. The hierarchy is the same as the hierarchy of the original requirements.

oGenerate Classes from Glossary

Generate classes from the terms in the glossary.The generated classes have the same names as the terms.

oImport from current Project

§Generate Requirements from Use Cases

Generate Requirements from Use Cases. The hierarchy is the same as the hierarchy of the original Use Cases.

§Import Internal Requirements

Import internal requirements defined in the requirement tab of the use case properties dialog in Enterprise Architect. You can also change use case internal requirements to requirements elements (external requirements) in Enterprise Architect by option.

oImport from another Project (Not implemented in current build)

§Requirements (Not implemented in current build)

Import EA requirement elements from another project file.

§Use Cases (Not implemented in current build)

Import EA Use Cases from another project file and generate the same name requirements.

The imported information is stored in the currently selected package.

·Run Execution Log Viewer

Start Execution Log Viewer and shows RaQuest's logging (for debugging use).

·Project Options

Configure options for each project. Project Options are effective for all users who use the project. For details, see "Project Options" page.

·Local Options

Configure options for local user. Local Options are effective for all projects and each user can configure them. For details, see "Local Options" page.


Help Menu

Navigation: Main Menu Details >

Help Menu

The Help menu is shown below:

·About RaQuest

Display a dialog which shows the current RaQuest version and license key.

·Input Updated License Key

Display a dialog to enter an updated license key.

·Help

Display this HTML help file.

·Open Sample project

Open the sample project.

·RaQuest Website

Open the RaQuest website with a default web browser.

·Check for Newer RaQuest Build

Open the website to check if a newer RaQuest build is available.


Requirement Properties

Navigation:

Requirement Properties

The "Requirement Properties" dialog can be displayed in one of the following two formats.

·Three tabs format of the Summary tab, the Detail tab, and the User-Defined Attributes tab

·Two tabs format of the Description tab and the Attributes tab

The default format is three tabs format. To switch the format to two tabs format, check the Tools | Local Options | View1 | Display Attribute by List Form option, or check the Tools | Project Options | General Feature 1 | Display Attribute by list form on This Project option.

The following tabs are provided in the "Properties" dialog (below) for setting or modifying a requirement's properties.

When a requirement or change is created, tabs with asterisk(*) will be displayed in the requirement properties dialog.

Three tabs format:

·Summary*

·Detail*

·User-Defined Attributes*

·UML Items

·Files

·Members

·Test Items

·Comments

·Review Requirements

·Update Log

Two tabs format:

·Description*

·Attributes*

·UML Items

·Files

·Members

·Test Items

·Comments

·Review Requirements

·Update Log

Some points to note:

·It is possible to resize the dialog.

·For Enterprise Architect Editions other than the Corporate Edition: When multi-users open the "Requirement Properties" dialog of the same requirement at the same time, the requirement of later users is automatically locked. The requirement can be manually unlocked; however, in this case, the final state of the requirement's properties is not guaranteed.

·For Enterprise Architect Corporate or Upper Edition with security enabled: When multi-users open the "Requirement Properties" dialog of the same requirement at the same time, the requirement of later user's is exclusively locked, and the later users can not modify the requirement's properties, including the lock setting.

·The following shortcut keys are effective on this screen.

oCTRL+TAB (move to next tab)

oCTRL+SHIFT+TAB (move to previous tab)

·The following "Properties" dialog buttons are effective for all tabs:

oOK

Save the changes and close the dialog unless the Keep dialog open when OK button is clicked checkbox is checked.

oCancel

Discard current changes and close the dialog.

oUp

Display the properties of the above requirement in the list.

oDown

Display the properties of the below requirement in the list.

oOriginal Requirement

When the current requirement is a "Change," this button switches the current contents of the dialog with those of the original requirement.

oApply

Apply changes without closing dialogs. This button enables to effectively making changes of multiple requirements. Press this button to save changes, and then use up/down buttons to move to the other requirements.

oCreate & Next

This button saves changes, and then clears window attributs for new requirement. This enables to create new requirement continuously.


Summary Tab

Navigation: Requirement Properties >

Summary Tab

The Summary tab is a reference tab of the requirement summary, status setting or reference, revision, and registered date. This tab is shown when three tabs format is selected.

·Summary

Summary of this requirement. This is usually a concise description or explanation of the requirement.

·Alias

Alias of this requirement. Alias can be shown and hidden by switching the option "Display Alias on requirement Summary/Description tabs" on Local Options | View1 tab | Requirement Attributes.

·ID

Unique ID for this requirement. The ID can be set manually or automatically, depending on the Status and Initial Values option setting.

·Revision

Revision number of this requirement. The number is set automatically and cannot be edited.

·Phase

Project phase which this requirement is related to.

·Version

System version which this requirement is related to.

·Due Date

Due date of this requirement. You can set this by checking the checkbox.

·Type

Type of this requirement. You can choose the requirement type from the dropdown list. For detailed procedures for changing the requirement types listed in the dropdown list, see "Requirement Type Configuration" page.

·Status

Current status of this requirement. You can choose the status type from the dropdown list. For detailed procedures for changing the status types listed in the dropdown list, see "Status Type Configuration" page.

·Lock Requirement

Checking the Lock Requirement checkbox locks the requirement, preventing its properties from being modified further.

When the properties dialog is opened by multiple users at the same time, the requirement is locked. The requirement can be manually unlocked; however, the final state of the requirement properties is not guaranteed.

·Review Required

If the status of a source requirement changes from "Approved" or "Reviewed" to another status, this checkbox is turned on. When this requirement status is reviewed, the checkbox is turned off automatically.

·Approved, Approved By

The Approved checkbox indicates whether this requirement is already approved. You cannot check or uncheck it directly. To change it, you must use the Approval feature in the main menu.

·Created

Creation date of this requirement. It is automatically set, and cannot be changed.

·Created by

Name of a member who created this requirement. It is automatically set, and cannot be changed.

·Updated

Last update date of this requirement. It is automatically set, and cannot be changed.

·Updated By

Name of the last member who updated this requirement. It is automatically set, and cannot be changed.


Detail Tab

Navigation: Requirement Properties >

Detail Tab

The Detail tab is shown below:

The Detail tab allows users to enter requirement details as text and set other requirement's properties as shown below. The tab is displayed when three tabs format is selected.

If requirement details are contained in an external file, the associated file(s) can be linked to the requirement using the Files Tab.

·Detail

Detailed information of this requirement. The Detail field is a multi-line text field. You can decorate text by tool buttons or context menu.

To use "Font Setting" and "Insert Table" buttons the option "Use extended format in requirement's detail" in Project Options | General Features 1 tab needs to be checked.

·Effort

Work amount as a numerical value. As the unit of this value is not defined, you can enter any numerical values freely depending on the project. A relative value is also possible.

·Keywords

Related keywords of this requirement.

The remaining properties can take one of the following three values:

· | High
· | Medium
· | Low

·Priority

Relative priority of this requirement.

·Difficulty

Relative difficulty of this requirement.

·Risk

Relative possibility of this requirement, where "High" means the requirement will likely cause the problems while the development.

·Stability

Relative stability of this requirement, where "High" means that the requirement is unlikely to be changed.

·Priority Value

Calculated priority value of this requirement. The calculation formula is configured using the Project Options | General Features 2 tab.


User-Defined Attributes Tab

Navigation: Requirement Properties >

User-Defined Attributes Tab

The User-Defined Attributes tab is shown below. This tab will be displayed when three tabs format is selected.

This tab allows the attributes defined in the options dialog to be applied to requirements.

·Attribute List

This list shows attributes' names and values. The background color of unmodifiable attributes is grey.

WARNING The modification of an attribute value is not reflected until another attribute name or value is clicked.


Description Tab

Navigation: Requirement Properties >

Description Tab

The Description tab is shown below:

This tab is used for referring and setting the requirement's summary and detail. This tab is displayed when two tabs format is selected.

·Summary

Summary of this requirement. This is usually a short description or explanation of the requirement.

·Alias

Alias of this requirement. Alias can be shown and hidden by switching the option "Display Alias on requirement Summary/Description tabs" on Local Options | View1 tab | Requirement Attributes.

·Detail

Detailed information for this requirement. The Detail field is a multi-line text field. You can decorate text by tool buttons or context menu.

To use "Font Setting" and "Insert Table" buttons the option "Use extended format in requirement's detail" in Project Options | General Features 1 tab needs to be checked.


Attributes Tab

Navigation: Requirement Properties >

Attributes Tab

The Attributes tab is shown below:

This tab is used for referring and setting attributes of the requirement. This tab is displayed only when two tabs format is selected.

User Defined Attributes defined in the option's "User-Defined Attributes" dialog are also included in this list.

·Attribute List

This list shows attributes' names and values. The background color of unmodifiable attributes is grey.

WARNING The modification of an attribute value is not reflected until another attribute name or value is clicked.


UML Items Tab

Navigation: Requirement Properties >

UML Items Tab

The UML Items tab is shown below.

This tab is used for referring and setting relationships between a requirement and UML items.

·View Related UML Items Only

Display only related UML Items.

·Reload

Reload the items data.

·Tree

Each UML Item in this tree has a checkbox. If you check the checkbox, a new relationship will be created between the current requirement and the target UML Item.

·Comment

You can enter any comment for the relationship.

·Right-click on a diagram item

Display the diagram.

WARNING After clicking the OK button, the changes will be updated.

Right Click

The following menus will be displayed:

·View

View the selected diagram.

·Select in EA

Select item in Enterprise Architect project browser.

·Expand All

Expand all children items of the selected item.

·Collapse All

Collapse all children items of the selected item.

When option of Use stereotype on UML Item Reference is enabled...

When option Use stereotype on UML Item Reference is enabled, an item is added in the display.

·Stereotype

You can enter stereotype for the relationship.


Files Tab

Navigation: Requirement Properties >

Files Tab

The Files tab is shown below:

This tab allows files and URLs to be associated with the requirement.

Dialog Fields

·Name

Name of the file or the URL.

·File ID

Optional ID of the file or the URL.

·Path/URL

The file path or the URL string.

·Note

Optional comments.

·File list

List of all files and URLs which are associated with the current requirement.

Dialog Buttons

·Browse

Select the file or URL using this button.

·View

Views selected object as follows:

oIf it is a file, the associated application will launch and open the file.

oIf it is a URL, the default browser will launch and open the URL.

·Clear

Clear all text in the input fields.

·New

Prepare the fields for a new file.

·Add

Add the currently specified file or URL to the list.

·Update

the currently specified file or URL to the list.

·Delete

Remove the current selected item from the list. Note that the actual item itself is not deleted.

RaQuest checks the item's modified date. If its registration date to RaQuest is older than the modified date, the information will be shown in red to indicate that it has been updated.


Members Tab

Navigation: Requirement Properties >

Members Tab

The Members tab is shown below.

Members and their roles are set and referred from this tab. Most of the times, members who examine or manage requirements are defined here. Division name can be specified as well.

This tab allows assigning members to the requirement.

Dialog Fields

·Member

Specify a member. When a log-in user name is defined in the member tree, the log-in user name will be selected. To add members to the drop-down list, go to the Member tree, and select Add Member from the context menu.

·Role

Specify the role of the member. Default is set as "Assigned member," but this can be modified freely.

·Start Date

Specify the start date of the task which is assigned to the member. This field needs to be filled due to the specifications of Enterprise Architect.

·Finish Date

Specify the end date of the task which is assigned to the member. This field needs to be filled due to the specifications of Enterprise Architect.

·Complete %

Specify the progress of the task which is assigned to the member.

·Expected

Specify the expected time for the member to complete the assigned task. Unit of time is specified by user's preference.

·Allocated

Specify the allocated time for the member to complete the assigned task. Unit of time is specified by user's preference.

·Expended

Specify the time expended for the member to complete the assigned task. Unit of time is specified by user's preference.

·Desc.

Specify the description of the task which is assigned to the member.

·Assigned Members

Display the list of all members who are assigned to this requirement.

There is no specific rule for Time / %Complete / Start / Finish fileds.

Dialog Buttons

·Clear

Clear all text in the input fields.

·New

Prepare the fields for a new assigning member.

·Add

Add the current member to the list.

·Update

Update the current member and the task information.

·Delete

Remove the current selected member from the list.

Information entered here can be referred/edited by Enterprise Architect. Go to a corresponded element in Enterprise Architect, and select Start Ribbon | Desktop | Share | Construct | Resource Allocation. Additionally, the information can be viewed as a Gantt chart in Enterprise Architect.


Test Items Tab

Navigation: Requirement Properties >

Test Items Tab

The Test Items tab is shown below.

This tab is used for adding test items to a requirement.

Dialog Fields

·Test

Name of this test item.

·Category

Category of this test item. Select from Unit/Integration/System/Acceptance/Scenario.

·Type

Type of this test item. Select from Regression/Standard/Load.

·Status

Status of this test item. Select from Not Run/Pass/Fail/Deferred/Cancelled.

·Last Run

Last run date of this test item.

·Run By

Select a member who tests this item.

·Checked By

Select a member who checks the result of this test item.

·Description/Input/Acceptance Criteria/Results

Description/Input/Acceptance Criteria/Results of this test item.


Comments Tab

Navigation: Requirement Properties >

Comments Tab

The Comments tab is shown below:

The Comments tab is used for adding comments to a requirement.

Dialog Fields

·Date Time

Entry datetime of this comment. This is set by the system automatically and cannot be changed.

·Member

A member who writes this comment. The login user name is the default value.

·Public

Specify whether this is a public comment. When a comment is publicized, the comment will be contained in RTF documents.

·Comment

Comments about this requirement. For example, description of a problem, an issue or a change.

·Comments list

List of all comments applied to this requirement.

Dialog Buttons

·Clear

Clear comments in the comment field.

·New

Prepare the fields for a new comment.

·Add

Add the current comment to the comments list.

·Update

Update the current comment in the list.

·Delete

Delete the current selected comment from the list.


Review Requirement Tab

Navigation: Requirement Properties >

Review Requirement Tab

The Review Requirements tab is shown below:

·Source Requirements List for Review

Display the list of source requirements which cause the current requirement to have "Review Required" status.

·Refer to Source Requirement

Show the properties dialog of the source requirement selected on the list.

·Reviewed

After checking changes to the source requirement and reviewing the current requirement, select the source requirement on the list and press the "Reviewed" button. By pressing the button, the source requirement on the list disappears. It indicates that the review of the current requirement has been completed, considering the impact of the source requirement changes.

You can configure a "Turn off "Review Required" flag when the Source Requirements List for Review is empty " option in Project Options | General Features 1 Tab to uncheck the "Review Required" checkbox in the Summary tab of the properties dialog automatically when the Source Requirements List for Review is empty.


Update Log Tab

Navigation: Requirement Properties >

Update Log Tab

The Update Log tab is shown below:

This tab allows you to review the update log for the current requirement. The update log is a series of records of all the modifications in the Summary, Detail or User-Defined Attributes tabs (or Description, Attributes tabs). The log of other tabs are not recorded.

·Revision

Revision number of the update.

·Updated

Date and time of the update.

·Updated By

Member who updated the requirement.

·Update Log

Description of the update.

·View

View the properties of the selected build

·Rollback

Rollback to the selected build.

·Diff(Not implemented in current build)

View differences between the selected builds.


Attributes (Multi Selected) Dialog

Navigation: Requirement Properties >

Attributes (Multi Selected) Dialog

This tab is used for the edition of multiple requirements' attribute values. This dialog will be shown when multiple requirements are checked in the list, and the Requirement | Edit Checked Requirements Attributes menu item is selected (or the Checked Requirements | Edit Attributes context menu of the list is selected).

User Defined Attributes defined in the option's "User-Defined Attributes" dialog are also included in this list.

·Attribute

The attributes' names and values are in the list. Only the value of the changed attributes are modified. The background color of unmodifiable attributes is gray. The background color of modified attributes turns blue (light sky blue).

WARNING The modification of an attribute value is not reflected until the other attribute name or value is clicked.


Description Tab (Multi Language)

Navigation: Requirement Properties >

Description Tab (Multi Language)

This Description tab is used for referencing and setting Summary / Detail and Summary(Language) / Detail(Language) of the requirement. The tab is displayed when multiple languages are enabled in the project.

·Summary
Summary of this requirement.

·(Language selection pull-down)
Select a language to be displayed in Summary(Language), Alias(Language), and Details(Language) fields.

·Summary(Language)
Summary described in the language specified by the Language selection pull-down.

·Alias
Alias of this requirement. Alias can be shown and hidden by switching the option "Display Alias on requirement Summary/Description tabs" on Local Options | View1 tab| Requirement Attributes.

·Alias(Language)
Alias in the language specified by the Language selection pull-down. Alias(Language) can be shown and hidden by switching the option "Display Alias on requirement Summary/Description tabs" on Local Options | View1 tab| Requirement Attributes.

·Detail
Detailed information for this requirement. The Detail field is a multi-line text field. You can decorate text by tool buttons or context menu. "Font Setting" and "Insert Table" buttons are not available.

·Detail(Language)
Detailed information for this requirement described in the language specified by the Language selection pull-down. The Detail field is a multi-line text field. You can decorate text by tool buttons or context menu. "Font Setting" and "Insert Table" buttons are not available.


Package Properties

Navigation:

Package Properties

Package properties are different in root package and other packages. For details of each property, see the following links.

Root Package Properties

Package Properties


Root Package Properties

Navigation: Package Properties >

Root Package Properties

To modify the properties of the RaQuest root package, right-click the root package and select Properties from the context menu.

The following dialog will be displayed:

Root Package Properties

·Name

Name of the root package.

·ID

ID of the root package. This ID can be added to the requirements IDs of all requirements under this root package. For details, see the Local Options | View2

·Auto ID Counter

Setting ID counter when "by Package" is selected at Project Options | Status and Initial Values.

·ListItem Name

Setting name of the list used to display requirements list of this package.

When it is "Local Setting", it uses the settings of Local Options' List Fields per user.

When it is other than "Local Setting", it uses the settings of the same name Project Options' List Fields.

·Purpose of System

Purpose of the target system. This property is printed on exported documents.

·Scope of System

Scope of the target system. This property is printed on exported documents.

·Summary

Summary of the target system. This property is printed on exported documents.


Package Properties

Navigation: Package Properties >

Package Properties

To modify the properties of RaQuest sub-packages (which are all the packages under the root package), right-click the package and select the Properties menu item from the context menu.

The following dialog will be displayed:

Package has the following properties:

·Name

Name of this package.

·ID

ID of this package. This can be added to the requirement ID for requirements under this package. For details, see the Local Options | View2 page.

·Auto ID Counter

Setting ID counter of Package when "by Package" is selected at Project Options | Status and Initial Values.

·ListItem Name

Setting name of the list used to display requirements list of this package.

When it is "Local Setting", it uses the settings of Local Options' List Fields per user.

When it is "Inheritance", it uses the settings of the parent package.

When it is other than "Local Setting" and "Inheritance", it uses the settings of the same name Project Options' List Fields.

·Category

This specifies a requirement category when creating a requirement in package.

·Summary

Summary of this package. This property is printed on exported documents.


Additional Features

Navigation:

Additional Features

This section provides you with details on additional RaQuest features, as follows:

SysML Data Project

Relationship Map

Generating Requirements from an Existing Project

CSV/Excel Import and Export

Document Export

Baselines

How to Create and Manage Changes

Requirements with "Review Required" Status

Glossary

Members

Project Statistics

Word Add-in

Move Requirement Add-in

Exclusive Lock

Shortcut Keys

Interfaces with External Command and External Program

Calculation

Multi Langage


SysML Data Project

Navigation: Additional Features >

SysML Data Project

By specifying SysML Data Project, RaQuest can handle the Enterprise Architect SysML data. Actions of RaQuest are changed when using SysML Data Project, as follows.

·Save requirement as SysML requirement of Enterprise Architect

·Save Requirement Detail as text tagged value

·Save Requirement ID as id tagged value

·Relationships

oRelationships between requirements: Dependency of stereotype "deriveReqt"

oRelationships with Use Case: Dependency of stereotype "refine"

oRelationships with Test Case: Dependency of stereotype "verify"

oRelationships with other element: Dependency of stereotype "satisfy"

oRelationships with parent requirement: Containment Relationship (Nesting Connector)

·When parent element is package, create Containment Relationship (Nesting Connector) with the package

·Specify types of SysML as Requirement Types

·Display Relationship Map in SysML format

·The file cannot be opened by RaQuest version 4.0 or earlier

·Disable and fix the Project Option "Save ID in front of requirement summary"

·Disable and fix the Project Option "Use extended format in requirement's detail"

·Enable and fix the Project Option "Create a relationship when generating a child requirement"

·Enable and fix the Project Option "Specify the type of relationship" with "Nesting" (Containment)


Relationship Map

Navigation: Additional Features >

Relationship Map

·Relationship Map

The relationship map shows the relationships between the selected requirement and other requirements. This feature generates an Enterprise Architect diagram. By setting the direction to 'Destination Requirements', shows the impact on other requirements when the selected requirement is changed. By setting the 'Colored Reconsider', the requirements are shown in green when related requirements have "Review Required" status. So, you can check which requirement items must be reviewed at a glance.

·For SysML Data Project (Show SysML Format), SysML attributes are displayed as below.

·Created diagrams are included in the work package. They can be edited by Enterprise Architect when needed.

·Double click the requirement in Relationship Map. It displays the details at the properties dialog or Lower Right Pane.

·Depending on the settings of View1 Tab, the list shows requirements in different colors regarding their statuses, or changes its layout.

·The layout can be changed temporarily by the context menu.


Generating Requirements from an Existing Project

Navigation: Additional Features >

Generating Requirements from an Existing Project

RaQuest can generate requirements from an existing Enterprise Architect project.

Generate Requirements from Use Cases

To generate requirements from Use Cases:

Select Tools | Enterprise Architect features | Import from this Project | Generate Requirements from Use Cases menu item. Specify the package on the displayed dialog and push the Run button. Requirements will be generated from the Use Cases. The hierarchy of the requirements is the same as the Use Cases hierarchy. Some Use Case information is copied as the requirement's properties.

After generating requirements from Use Cases, the project file will be reloaded automatically. You can check the result of the generated requirements, and correct the values of the requirement properties as needed.

To Import Internal Requirements of Enterprise Architect element

Requirements can be defined as internal requirements, which are in the element's Properties | Requirements tab in Enterprise Architect. If the internal requirements are defined, RaQuest can generate new requirements from the internal requirements which are already defined in the Use Case elements.

To generate requirements from internal requirements which are defined internally in the Use Case elements:

Select Tools | Enterprise Architect features | Import from this project | Import Internal Requirements menu item. Requirements will be generated from the elements' internal requirements. The hierarchy of the requirements is the same as the elements' hierarchy. Some Use Case information is used as the requirement's properties.

After generating requirements from Use Cases, the project file will be reloaded automatically. You can check the result of the generated requirements, and correct the values of the requirement properties as needed.

Optionally, you can also use the Change Internal requirements to external feature.

When you use this option, the internal requirements of the target elements are changed to external, as shown below.


CSV/Excel Import and Export

Navigation: Additional Features >

CSV/Excel Import and Export

The following dialog is displayed when CSV/Excel import or export feature is selected. The dialog allows users to specify several settings. The import or export features are executed by clicking the Run button.

·Tab Name

Name of the target tab for the import or export.

·Format

Format of the import or export file.

·Specification

Specification of the file contents.

Export all fields in the list by displayed order when you select the View Items option. Import or export by order defined in the selected specification when you select the Spec. option. The specification can be defined in the Edit/New | File Specification dialog.

·Output DATE and PERSON on Header

The output date and output person are output to the first line.

·Output Logical Value * and "" instead of true/false

This option decides whether to output logical value * and "" instead of true/valse.

·Output UTF-8 Codepage

This option decides whether to output UTF-8 codepage..

·Action

Choice of the import or export.

·Update Identify Item

Choice of the update identify item (attribute) when import.

·Filename

Filename of the import or export file.

·Progress

Progress of the import or export.

INFO The requirement can be deleted by importing the data that has "-" in front. The relation can be deleted by importing the data that has "-" in front of relation's ID.

File Specification

This dialog allows users to define file specifications for the import or export files.

·Specification Name

Name of this file specification.

·Delimiter

Delimiter. It is valid only for CSV import and export.

·Default Filename

Default filename when this file specification is selected.

·Default Direction

Default direction (import/export) when this file specification is selected.

·Default Update Identify Item

Default update identify item(attribute) when this file specification is selected.

·Available Fields

Available fields for the import or export.

·File

Selected fields for the import or export.

·Up/Down

Buttons to move the field up or down in the list.

·Add Field/Remove Field

Buttons to add or remove the field.

·New

This button initializes the current specification.

·Save

This button saves the current specification.

·Save As

This button saves the current specification with a different name.

·Delete

This button deletes the current specification.

·Cancel

This button discards current changes and closes this dialog.

WARNING There are some items which are exportable, but non-importable.


Document Export

Navigation: Additional Features >

Document Export

The following dialog is displayed when the document file export feature is selected. The dialog allows users to specify several settings. Exporting is executed by clicking the Run button.

·Export Type

Type for export. HTML(.htm) or RTF(.rtf).

·Template Name

Document template name for the RTF export.

·Options

oAllow HTML tags in requirement details

This option decides whether to recognize HTML tags in packages or requirements details. If the checkbox is on, RaQuest does not replace HTML tags when HTML documents are generated. For example, it does not replace <B> with &lt;B&gt;.

oAdd section numbers

This option decides whether to add section numbers in HTML documents.

oAdd package ID to requirement ID

When selected, RaQuest concatenates the package ID with the requirement ID. For example, for a package ID of 'FNC' and a requirement ID of '001', the resulting requirement ID is displayed as 'FNC001'.

·Package

Specify the package for export.

·Filename

Filename of the export file.

·Progress

Progress of the export.

Export to RTF File

The export to RTF file function uses the Enterprise Architect's generation function of the RTF document. It is possible to customize it by using the Document Template Designer of Enterprise Architect.

RaQuest Attribute Tag

In the export to the RTF file from RaQuest, the original attributes in RaQuest can be individually output. For instance, when you want to output Requirement ID, input '{RQ_ID{Element.GUID}}' in the Document Template Designer of Enterprise Architect. (When you want to input the '{Element.GUID}' string, right-click in the Document Template Designer and select the GUID item.)

The tags that can be used are as follows.

Summary | {RQ_Summary{Element.GUID}}
Detail | {RQ_Detail{Element.GUID}}
Alias | {RQ_Alias{Element.GUID}}
ID | {RQ_ID{Element.GUID}}
Revision | {RQ_Revision{Element.GUID}}
Version | {RQ_Version{Element.GUID}}
Phase | {RQ_Phase{Element.GUID}}
Created | {RQ_Created{Element.GUID}}
Last Updated | {RQ_Last Updated{Element.GUID}}
Date Due | {RQ_Date Due{Element.GUID}}
Created By | {RQ_Created By{Element.GUID}}
Modified By | {RQ_Modified By{Element.GUID}}
Approved by | {RQ_Approved by{Element.GUID}}
Status | {RQ_Status{Element.GUID}}
Type | {RQ_Type{Element.GUID}}
Priority | {RQ_Priority{Element.GUID}}
Difficulty | {RQ_Difficulty{Element.GUID}}
Stability | {RQ_Stability{Element.GUID}}
Effort | {RQ_Effort{Element.GUID}}
Risk | {RQ_Risk{Element.GUID}}
Priority Value | {RQ_Priority Value{Element.GUID}}
Keywords | {RQ_Keywords{Element.GUID}}
Lock | {RQ_Lock{Element.GUID}}
Approved | {RQ_Approved{Element.GUID}}
Reviewed | {RQ_Reviewed{Element.GUID}}
Review Required | {RQ_Review Required{Element.GUID}}
Source Requirement IDs | {RQ_Source Requirement IDs{Element.GUID}}
Destination Requirement IDs | {RQ_Destination Requirement IDs{Element.GUID}}
Parent ID | {RQ_Parent ID{Element.GUID}}
Child Requirement IDs | {RQ_Destination Child IDs{Element.GUID}}
Package | {RQ_Package{Element.GUID}}
User Defined Attribute | {RQ_(User Defined Attribute Name){Element.GUID}}

You can export the files and the comments information by the following methods;

·Files

The file of RaQuest is equivalent to the file of Enterprise Architect. Check package-element-file in the tree on the left of the Document Template Designer and select the File Path, Notes, etc. on the editor. When the Notes is selected, the File Name, File ID, and last modified datetime are output as added before the File Note.

·Comments

Check the Comment | Public checkbox in RaQuest. Then the comment of RaQuest becomes an item of issue element in the Maintenance sub-window of Enterprise Architect. Therefore, check package-element-issue in the tree on the left of the Document Template Designer and select the Note on the editor.


Baselines

Navigation: Additional Features >

Baselines

The baseline feature is useful for saving a snapshot at a point of interest in the process of system or application development. The baseline feature is designed to save condition data, such as specified status for project elements, and restore them as needed. The baseline feature can show differences between baseline and current data.

The following operations are possible.

·Show Differences

Show differences between baseline and current data.

·Restore to Baseline

Restore to selected baseline. The current data is saved as "Turnout info."

·Restore to Turnout info

Return to the saved "Turnout info" when returning to the previous baseline.

·New Baseline

Create new baseline.

·Edit Properties

Change baseline name, version, and note.

·Delete Baseline

Delete selected baseline.

·Import File

Import baseline from file.

·Export File

Export baseline to file.

WARNING Available operations are different by the edition of Enterprise Architect and the type of project.

The edition

·in combination with Enterprise Architect Corporate edition or the upper edition : ALL available

·in combination with Enterprise Architect Desktop edition or Professional edition : 'Restore to Baseline', 'Restore to Turnout info' and 'New Baseline' are available

The type of project

·FEAP file/QEA file/QEAX file/Server Repository/Encrypt Connection String : 'Import File' and 'Export File' are not available

Baseline Branch

A baseline may need to branch at some point in the development process. To create a baseline branch, click New Baseline button. Then select Restore to Baseline to be used as the root for baseline branches. After that, select New Baseline to make a new baseline branch based on the root baseline.


How to Create and Manage Changes

Navigation: Additional Features >

How to Create and Manage Changes

Changes are special requirement elements which are used to define required changes for existing requirements that have already been approved. This section describes how to create and manage changes within RaQuest.

Changes are designed to be used when the approved requirement needs to be modified after the baseline update. Before the baseline update, the requirement is modified directly. Also, the change cannot be created on changes.

How to Create Changes

Select the approved requirement to be changed. Select Requirement | New Change menu item to display the New Change dialog, shown below. Enter the necessary information in the dialog.

Once a change has been created, the target requirement will be locked completely, and all further operations related to that requirement must be performed on the change requirement.

You can easily check the details of the originally approved requirement from the Requirement Properties dialog of the change by clicking the Cause Requirement button.

Impact of Creating Changes

After creating the change or modifying the changes of "Reviewed" or after status, the status of requirements which are related to the originally approved requirement will be changed to "Review Required" status immediately. In other words, RaQuest reacts in the same way as if the original requirement is modified. This means that you should review all requirements related to the original requirement when creating or modifying a change.

Management of Changes

Changes are handled in the same way as usual requirements and should follow the same status flow.


Requirements with "Review Required" Status

Navigation: Additional Features >

Requirements with "Review Required" Status

When you modify a source requirement, the destination requirements, which are dependent on the modified requirement, will have "Review Required" status automatically. In this case, confirm the modification of the source requirement and review the "Review Required" destination requirements.

Confirmation of Source Requirements

When a destination requirement has "Review Required" status, you need to confirm the source requirement(s). The properties dialog of the destination requirement has the Review Requirements tab. This tab allows you to check the relevant source requirement(s) in the Source Requirements List for Review list, which shows the source requirements causing the "Review Required" status of the destination requirement.

After confirmation of the source requirement(s), review the destination requirement and modify it as needed. After reviewing, select the source requirement in the Source Requirements List for Review list, and press the Reviewed button. By this operation, you can complete the review of the source requirement.

To Unlock "Review Required" Status

To unlock the "Review Required" status, uncheck the "Review Required" checkbox on the Summary tab of the properties dialog.


Glossary

Navigation: Additional Features >

Glossary

RaQuest provides a glossary feature to manage terms which are used in the project. This glossary feature is completely compatible with the glossary feature in Enterprise Architect, so you can also access them from the Design | Dictionary | Glossary | Glossary View or the Glossary dialog in Enterprise Architect.

How to Add Terms to the Glossary

To display the glossary dialog, select Design | Dictionary | Glossary | Edit item. The dialog has the same contents as the Glossary dialog in Enterprise Architect and its operation is also the same.

How to Utilize the Glossary

The Generate Classes from Glossary feature enables you to generate classes from the terms in the glossary. The generated classes have the same names as the names of their corresponding terms.

(Glossary term name -> Class name / Glossary description -> Class notes)

To generate classes, select Tools | Enterprise Architect features | Generate Classes from Glossary menu item. A dialog will be displayed for specifying the location to store the classes. Once the location is specified, the classes will be generated as you specified.

How To Print and Export Glossary

The Enterprise Architect feature is available for printing out or exporting the RaQuest glossary.


Members

Navigation: Additional Features >

Members

Members of RaQuest are stored as the Enterprise Architect's resources.

To view members in Enterprise Architect, see 'Reference Methods for RaQuest Information in Enterprise Architect'.

Divisions

The divisions to which the members belong are stored as the "Organization" of the corresponding resources in Enterprise Architect. The hierarchical structure of divisions is stored in RaQuest only.

Assigning Requirements

Assignments of members are stored in Enterprise Architect as well. To check assignments in EA, see 'Reference Methods for RaQuest Information in Enterprise Architect'. This information is useful for the project management in Enterprise Architect. For details, see the Enterprise Architect help.


Project Statistics

Navigation: Additional Features >

Project Statistics

This menu item displays the list of requirement items' statistics for the current project. This is helpful for assessing the overall condition of the current project. To display the project statistics, select Project | Statistics | Display Current Status Report menu item. A sample status report is shown below.

Statistics displayed are as follows:

·Number of requirements

·Number of requirements which are updated today

·Number of requirements with "Review Required" status

·Number of requirements which are past due

·Number of requirements which are assigned to a member

·Number of locked requirements

·Number of "Reviewed" requirements

·Number of "Approved" requirements

·Number of relationships between requirements

·Number of relationships between requirements and UML Items

·Number of files

·Number of assignments

·Number of test items

·Number of comments

·Number of requirements by requirement type

·Number of requirements by requirement status

Note that the status report can be exported in CSV format.

The status report is saved automatically when you select the Display Current Status Report menu item. If you check the Count and save requirement status when closing project checkbox in the General Features 1 option tab, the status report is saved automatically when you exit the current project. Only the most recent status report per day is saved.


Word Add-in

Navigation: Additional Features >

Word Add-in

You can register phrases or sentences in MS-Word documents as requirements in RaQuest if the Word Add-in feature was selected when installation. To register phrases or sentences, highlight them in MS-Word and right-click them to display the context menu. Select Register in RaQuest from the menu to register the selected phrases or sentences as a requirement.

If the selected phrases or sentences are a single line, they are registered as the requirement's summary. If the selected phrases or sentences are more than one line, the phrases or sentences in the first line are registered as the requirement's summary and the subsequent lines are registered as the requirement's details. Other requirement properties are set to their default values.

When registration is completed, the following dialog will be displayed:

This Word Add-in feature makes it easy to register the existing requirements in MS-Word documents.

WARNING Note that newly registered requirements' attributes are not displayed immediately after registration. Reload the project file to display them.


Move Requirement Add-In

Navigation: Additional Features >

Move Requirement Add-In

In Enterprise Architect, when requirement is created under non-RaQuest packages, use "Move Requirement Add-In" to move the requirement under RaQuest package. This add-in can be selected when installation.

This action is very useful to make requirements of certain situation under the control of RaQuest. The situation is that when requirements are created in new diagrams of non-RaQuest packages.

WARNING This add-in works only when requirements are created as new. Otherwise, it does not work.

WARNING There is no message after moving requirement.


Exclusive Lock

Navigation: Additional Features >

Exclusive Lock

RaQuest automatically applies an exclusive lock per requirement to avoid users edit the same requirement at the same time. This applies when the status of requirements attributes is changed to be edited. Situations are when:

·Opening a Requirement Detail dialog

·Making Requirement Attributes editable in list

·Trying to edit Requirement Attributes when option Always Display Requirement is on.

This exclusive lock is applied if the version of Enterprise Architect is Professional or upper. If other users open the requirements and those requirements have exclusive locks, attributes other than the "Lock" attribute cannot be edited.

Also, if a Security of Enterprise Architect is enabled in a project, all attributes including locked ones will have exclusive locks to avoid other users from editing.

Furthermore, if Require User Lock to Edit mode of Enterprise Architect is enabled, the exclusive lock function can be checked/applied/released in RaQuest manually. A red or blue "!" is displayed in Project Tree for confirming the exclusive lock. You can apply and release the exclusive lock from context menu of Project Tree. In this case, the range of exclusive locks can be specified beforehand to make editing easily.

148 Context menu of Apply/Release Exclusive Lock

149 Apply/Release Exclusive Lock dialog


Shortcut Keys

Navigation: Additional Features >

Shortcut Keys

The following shortcut keys are available:

CTRL + O | Open
CTRL + C | Copy
CTRL + X | Cut
CTRL + V | Paste
CTRL + F | Search
F3 | Search Next
SHIFT + F3 | Search Prev.
CTRL + L | Filter List
CTRL + H | Replace
CTRL + T | Search in Tree
CTRL + G | Glossary
CTRL + R | Requirements List
CTRL + D | To-Do List
CTRL + P | New Package
CTRL + N | New Requirement
CTRL + M | Show Relationship Map
CTRL + W | Close Tab
CTRL + TAB | Move to Next Tab (Only for Requirement Properties)
CTRL + SHIFT + TAB | Move to Prev. Tab (Only for Requirement Properties)
CTRL + UP | Move Up in Tree
CTRL + DOWN | Move Down in Tree
CTRL + U | Update


Interfaces with External Command and External Program

Navigation: Additional Features >

Interfaces with External Command and External Program

Call of External Command

By configuring a setting file, it is possible to set a menu of external tool at RaQuest's Tools.

Setting

Create an arbitrarily name folder under the installation folder, and then create an ini extension file under it. Format of the ini file is as follows.

MENUNAME=menu name

EXECFILE=command full path

ARGUMENT=command argument

EXECDIR=command execution directory

SHORTCUT=displaying order (shortcut key))

DESKTOP=Action with Enterprise Architect desktop edition

SHOWWINDOW=Window's show status

·ARGUMENT

o$f The file path/connection string of the current project

o$k type of selected element

o$g GUID of selected element

o$e EAID of selected element

o$p GUID of project

o$%id% etc. attribute value of requirement when selected element is requirement

($%(User-Defined attribute name)% etc.)

Double quote when needed to match the number of argument.

·EXECDIR can be omitted. When omitted, directory is set to an ini file's folder.

·SHORTCUT is from 1 to 10. Omit-able.

Shortcut keys correspond with CTRL+F1 to CTRL+F10.

·DESKTOP can be omitted. CLOSE/NG/OK are the choices.

CLOSE is the project once, and re-open it after execution with Enterprise Architect Desktop edition.(default) NG is un-executable with Enterprise Architect Desktop edition.

OK is executable with Enterprise Architect Desktop edition.

·SHOWWINDOW can be omitted. When omitted, show normal window.

0 is hidden window.

1 is show normal window.

Example:

MENUNAME=menu name

EXECFILE=C:\test.bat

ARGUMENT="$f" $g

EXECDIR=C:\

SHORTCUT=1

DESKTOP=CLOSE

SHOWWINDOW=1

In the above configuration:

·Display "menu name" in menu.

·Executable file is C:\test.bat

·Argument is currently opening project file($f), and selected element GUID($g).

·Execution directory is C:\.

·Shortcut key is CTRL+F1.

·Action with EA desktop edition closes the project once, and re-open it after execution.

·Show normal window.

Selection/update of requirements from external program

Use library (RaQuestMessageLib.dll in the installation directory)

Library function

·SetTargetProjectGUID:Specify the project, targeted to be sent a message.

·FindTargetInstance:Find a currently opening specified target project from RaQuests

·UpdateRequirement:Send updating messages of requirement

·SelectRequirement:Send selection messages of requirement

·CloseMessage:Send Close messages

Sample program

Please see following web page.

About interfaces with external command and external program.


Calculation

Navigation: Additional Features >

Calculation

Calculation formulas can be specified to Priority Value and Calculation type User-Defined Attribute and the results of them can be displayed. The calculation formula for the Priority Value is configured using the General Features 2 tab. The calculation formula for the User-Defined Attribute is configured using the User-Defined Attributes Tab of Project Options.

Variables, numerics, operators(+,-,*,/), and parentheses() are available for calculation formulas. The variables start with "$" and the followings are available:

·$Priority

·$Difficulty

·$Risk

·$Stability

·$Effort

·$(User-Defined Attribute)

$Priority/$Difficulty/$Risk/$Stability are defined in three levels: High=3, Medium=2, Low=1. The value of $Effort is used directly. For $(User-Defined Attribute), Numeric/Enum/Calculation types are available. When setting Enum type, numeric values should be included in the string.

Calculation Order

Calculation type User-Defined Attributes are calculated from the top in order of the definition and finally Priority Value is calculated. At the point of calculation, variables with no value are treated as 0.

Internal Data Type

32bit int (-2,147,483,648 to 2,147,483,647)


Multi Language

Navigation: Additional Features >

Multi Language

By enabling "Translations" in the manage model options of Enterprise Architect and setting supported languages for project, you can display and edit with RaQuest the data in the translation tab of Enterprise Architect.

When multiple languages are enabled in project, the behavior changes as follows.

·Display the Description tab (Multi Language) instead of the Description tab of a requirement properties

·Enable and fix the Project Option "Display Attribute by list form on this project"

·Disable and fix the Project Option "Use extended format in requirement's detail"

WARNING Required: Enterprise Architect 15.1 or later.


Options

Navigation:

Options

RaQuest has some customizable features. The customizable features are categorized in two types: One is the Project Options. The Project Options are stored in the project file and are effective for every user who uses the project. The other is the Local Options. The Local Options are stored in the Windows registry and are effective for all projects. Each user can configure local options.

·Project Options

oRequirement Types

oRequirement Statuses

oStatus and Intitial Values

oRequirement Categories

oGeneral Features

oUser-Defined Attributes

oList Fields

oPackages

The options can be set only when a project file is opened.

·Local Options

oView

oFonts

oList Fields

oColors

These options can be configured without loading a project file.

Those options dialogs have several tabs. The details of each tab are described in the following pages.


Project Options

Navigation: Options >

Project Options

Tools | Project Options are stored in the project file and are enabled for every user who uses the project file. Project Options include Requirement Statuses, User-Defined Attributes, General Features, etc. You need to load the target project file to configure them.

·Project Options

oRequirement Types

oRequirement Statuses

oStatus and Initial Values

oRequirement Categories

oGeneral Features

oUser-Defined Attributes

oList Fields

oPackages

The details of each tab are described in the following pages.


Types Tab (Project Options)

Navigation: Options > Project Options >

Types Tab (Project Options)

The Tools | Project Options | Types tab as below:

This tab allows users to define requirement types.

·Type

Name of requirement type.

·Description

Description of requirement type.

·Note

Notes for requirement type.

·Up, Down Buttons

Buttons to move the requirement type up or down in the list.

·New, Save, Delete Buttons

Buttons to create/save/delete requirement type.

·Add EA Extended Requirement Types

This option adds Requirement types corresponding to Requirement Elements in ・gExtended Requirements・h of the EA Requirements Toolbox.

WARNING Types can not be deleted if they are used in the Status and Initial Values tab or requirements.


Statuses Tab (Project Options)

Navigation: Options > Project Options >

Statuses Tab (Project Options)

The Tools | Project Options | Statuses tab as below:

This tab allows to define requirement's statuses.

·Status

Name of requirement's status.

·Description

Description of requirement's status.

·Color

Color of requirement's status. (It is used when the option "Use colors defined by project" is on. When it is used as a text color, it may automatically change the tone to visually apparent.)

·Up, Down Buttons

Buttons to move the requirement's status up or down in the list.

·New, Save, Delete Buttons

Buttons to create/save/delete the requirement's status.

WARNING Statuses can not be deleted if they are used in the Status and Initial Values tab or requirements.


Status and Initial Values Tab (Project Options)

Navigation: Options > Project Options >

Status and Initial Values Tab (Project Options)

The Tools | Project Options | Status and Initial Values tab as below:

Statuses and Type in this tab specifiy the statuses described in Status Flow in RaQuest.

The following options can be set here:

·Initial Status

This option sets the default status for a new requirement.

·Reviewed Status

This option sets the status value which corresponds to "Reviewed" in RaQuest.

·Approved Status

This option sets the status value which corresponds to "Approved" in RaQuest.

·Default Type

This option decides the default requirement type for a new requirement.

·Default Version

This option decides the default version for a new requirement.

·Default Phase

This option decides the default phase for a new requirement.

·ID Numbering

This option decides whether to set requirement's ID automatically. If checked, RaQuest automatically assigns ID to a requirement. The ID number adds one by one.

oAll

Serial number is assigned to all requirements.

Value and digits can be specified in the right field.

oby Requirement Category

Serial number is assigned by Requirement Category.

ID counter settings of each category in Categories tab is applied to value and digits.

oby Package

Serial number is assigned per Package.

The ID counter settings of the parent package applies to value and digits.

oby Hierarchy style

Number is assigned in hierarchical structure.

Setting serial number and separator/branch number. Formats for separator/branch number can be specified. Only serial number is assigned when the parent requirement does not exist. When the parent requirement exists, the number of the parent requirement ID with the specified separator/branch number added is assigned.

When you change the settings of numbering, the following dialog appears in some cases. Select action for existing Requirements.


Categories Tab (Project Options)

Navigation: Options > Project Options >

Categories Tab (Project Options)

The Tools | Project Options | Categories tab as below:

This tab allows users to define Requirement Categories.

·Category

Name of Requirement Category.

·EA Element Type

EA Element Type for referring Requirement Category by EA.

·Icon

Icon of Requirement Category.

·Description

Description of Requirement Category.

·Prefix

Prefix of Requirement Category

·Auto ID Counter

ID number when numbering by Requirement Category in Project Options | Status and Initial Values Tab.

·Up/Down button

Buttons to move the Requirement Category up or down in the list.

·New, Save, Delete buttons

Buttons to create/save/delete Requirement Category.

WARNING The number of Requirement Category is settable without limit, but they are viewed up to 15 at Menu of New Requirement.


General Features 1 Tab (Project Options)

Navigation: Options > Project Options >

General Features 1 Tab (Project Options)

The Tools | Project Options | General Features 1 tab as below:

The following values can be set:

·SysML data Project

This option decides whether to handle requirements as SysML Data Project.

·Count and save requirement status when closing project

This option determines whether RaQuest counts and saves the status information in the project while the project is closing.

·Enable to delete items

This option decides whether the delete function is available or not. If the check is on, items can be deleted. If the check is off, items cannot be deleted.

oEnable to delete requirements

This option decides whether the delete requirement function is available or not. If the check is off, relationships between requirements, empty packages, members, and divisions can be deleted, but not requirements and their packages.

oConfirm when deleting

This option decides whether to show a confirmation dialog when deleting items.

oMove to Trash package

This option decides whether to move deleted requirements or packages to the "Trash" package in order to allow them to be undeleted later. (The items in the "Trash" package are not permanently deleted, so you can restore them as needed.)

§Show Trash package

This option decides whether to show the "Trash" package in the tree view.

·Create a relationship when generating a child requirement

This option decides whether to create a relationship automatically when a new requirement is created under the parent requirement. If the check is on, RaQuest automatically creates a relationship between the parent and the child. (The relation defined is such that the child requirement depends on the parent requirement.)

oSpecify the type of relationship

This option decides whether to specify the type of relationship when created. You can select from Dependency (default)/Aggregation/Nesting.

oCreate relationship when moving requirement

This option decides whether to create a relationship automatically when a requirement is moved under another requirement. If the check is on, RaQuest automatically creates a relationship between the parent and the child.

§Delete relationship when moving requirement

This option decides whether to delete the relationship automatically when a child requirement is moved from its parent requirement. If the check is on, RaQuest automatically deletes the relationship between the parent and the child.

·Change to the specified Requirement Category of the destination package when moving requirement
This option decides whether to change to the specified requirement category of the destination package when moving requirement

·Use Divisions as Member

In some property dialogs, there are dropdown lists of members. If this check is on, divisions are also displayed on these dropdown lists.

·Turn off "Review Required" flag when the Source Requirements List for Review is empty

This option decides whether to clear the "Review Required" flag automatically when the "Source Requirements List for Review" is empty.

·Display Attribute by list form on this project

This option decides whether to display requirement's properties in two tabs style which includes the Description tab and the Attribute tab, despite the option setting of Local Options | View | Display Attribute by List Form

·Save ID in front of requirement summary

This option decides whether to save the string including requirement's summary and its ID in front as a name of EA element. So that the requirement ID can be seen in Enterprise Architect.

·Add PackageID instead of automatic ID prefix

This option decides whether to add Package ID instead of adding automatic ID prefix and save it as a name of EA element when "Save ID in front of requirement summary" is checked.

·Sort RequirementID as numerical value

This option decides whether to sort Requirement ID as numerical value instated of string value.

·Use stereotype on relationship with UML Item

This option decides whether to add stereotype to relationship when it is associated to UML Item at UML Items tab of requirement property.

·Save a relationship map as requirement's child diagram.

This option decides whether to save a relationship map as requirement's child diagram. With editing the document template in EA, it is possible to bind the requirement with its relationship map when outputting the RTF document files.

·Use extended format in requirement's detail

This option decides whether to use the extended format like setting the fonts, inserting table and others in requirement's detail.

Caution: The save location of the detail is changed at an EA element.


General Features 2 Tab (Project Options)

Navigation: Options > Project Options >

General Features 2 Tab (Project Options)

The Tools | Project Options | General Features 2 tab as below:

The following values can be set:

·Priority Value Calculation Expression

Specifies a formula which will be used to calculate the priority value. For the details about the function, see Calculation.

·Execute Command

Specifies an execute command and its parameter when a requirement is added/update/deleted. Various processing is possible according to the specified execute command.

oCommand

Specify the execute command string.

oParameter

Specify execute command's parameters. "$datafile$" is replaced with a temporary file path which is created based on the following template.

oTemplate

Specify a template which is used for outputting the updated information to a file.

oExecute Trigger

Specify the execute trigger. The command will be called when the checked action occurs.

Variables in the template and parameter

You can use the following variables in the template and parameter.

·$Change Item$
(Requirement, comment, file, member)

·$Change Type$
(Add, Update, Delete)

·$Change Contents$

·$ID$

·$Summary$

·$Priority$

·$Status$

·$Effort$

·$Created$

·$Last Updated$

·$Date Due$

·$Detail$

·$Version$

·$Type$

·$Lock$

·$Approved$

·$Updated By$

·$Difficulty$

·$Stability$

·$Risk$

·$Priority Value$

·$Author$

·$Source Requirement IDs$

·$Parent IDs$

·$Reviewed$

·$Review Required$

·$Approved By$

·$Destination Requirement IDs$

·$Revision$

·$Phase$

·$Package$

·$Keywords$

Execute command setting sample (setting of mail sending when requirement is updated)

The following is one example of using this command feature. This example describes how to send an email when a requirement is added/updated/deleted.

Specify the command line for RaQuest to send an email via an external tool. One of these tools is "Blat." You can download this from www.blat.net . Please contact the author of the tool if you have questions about the "Blat" tool.

Command | \\server\share\tools\blat.exe
Parameter | "$datafile$" -t "Receive mail address" -server MAIL_SERVER -f "Send mail address" -s "Subject" Please double quote $datafile$, Receive mail address, Send mail address and Subject.
Template | $Change Item$ $Change Type$ Updated By: $Updated By$ ID: $ID$ Summary: $Summary$ Detail: $Detail$ Change Contents: $Change Contents$
Execute Trigger | check all


User-Defined Attributes Tab (Project Options)

Navigation: Options > Project Options >

User-Defined Attributes Tab (Project Options)

The Tools | Project Options | User-Defined Attributes tab as below:

This tab allows User-Defined Attributes to be defined.

·Name

Name of a User-Defined Attribute.

·Type

Type of a User-Defined Attribute.

·(Value field)

Enum type choices or a calculation type formula. Note that spaces should not be used after commas unless it is intended that the resulting leading space(s) form part of the enumeration value.

·Up, Down Buttons

Buttons to move the User-Defined Attribute up or down in the list.

·Add, Change, Delete Buttons

Buttons to add, change or delete User-Defined attributes.

For the details about the calculation type, see Calculation.

WARNING The User-Defined Attribute type is used for sorting and input validation.


List Fields Tab (Project Options)

Navigation: Options > Project Options >

List Fields Tab (Project Options)

The Tools | Project Options | List Fields tab as below:

This tab allows users to set the fields that will appear in the various List views. However, the settings of this tab are not directly reflected to the List. The name of the list field has to be set in the List Fields of package properties or it has to be selected in the List Fields of requirements list to complete the setting process.

The settings of this tab are saved in the project, and will be shown when other users are using it. However, it does not affect other project.

·Target

(Not available)

·Name

Specify the setting name of requirement list. This name is used and specified in package properties and list.

·New Button

Create a new requirement list.

·Delete Button

Delete the requirement list.

·Available List

The Available list shows selectable fields.

·Selected List

The Selected list shows currently selected fields. Click the ⇒(Add) and ⇐(Delete) buttons to add or delete fields to/from the Selected list. You can edit directly on the list when you check the checkbox.

·⇑(Up) and ⇓(Down) Buttons

Use these buttons to move fields up or down in the Selected list. The order of fields in this list determines the left-to-right order of columns in the selected List view.


Packages Tab (Project Options)

Navigation: Options > Project Options >

Packages Tab (Project Options)

The Tools | Project Options | Packages tab as below:

This tab allows users to specify the packages, used in RaQuest.

·Requirements

Display currently specified requirement package in tree view.

·Use Cases Package

Display currently specified Use Cases package in tree view.

·Browse

Buttons to specify each package.

INFO For details about these packages, see Specifying RaQuest Packages.


Local Options

Navigation: Options >

Local Options

Tools | Local Options are stored in the registry and each user can configure the options. This is for displaying options like fonts and colors. It is not necessary to load a a project file before setting these local options.

·Local Options

oView

oFonts

oList Fields

oColors

The details of each tab are described in the following pages.


View1 Tab (Local Options)

Navigation: Options > Local Options >

View1 Tab (Local Options)

The Tools | Local Options | View1 tab is shown below:

You can set the following options:

·Current UserName

Display the current user's name when a project file is opened.

·Default UserName

Display the default user's name. To change it, enter the user's name and restart RaQuest to reflect the change.

·Allow more than one instance to run at the same time

When selected, more than one RaQuest application can be run at the same time.

·Always Display Requirement

This option decides whether to display the requirement all the time in lower right of the screen. To enable this option, restart RaQuest after checking.

oExclusive Lock: Change when selecting requirement

This option decides whether to change the timing of exclusive lock from when editing requirements attributes to selecting requirements.

·Open All Requirement List at Project Open

This option decides whether to display the All Requirement List at Project Open.

·Word Wrap at multiline fields

This option decides whether to run Word Wrap, which shows full texts without horizontal scroll, at the detail and other multiline fields.

·Requirement Attribute

oDisplay Attributes by List Form

This option decides whether to display requirement properties in two tabs style, which includes the Description tab and the Attributes tab.

§Adjust Attributes Order to the Active List
This option decides whether to adjust the attributes' order in the Attribute tab to the order in currently showing requirement list.

§Display Attributes (Src/Dest Req ID, Num. of) in Attrs Tab
This option decides whether to display attributes (Source Requirement ID, Destination Requirement ID, Num. of rel. UML Items., and so on) in attributes tab.

oDisplay Alias on requirement Summary/Description tabs

This option decides whether to display Alias on requirement Summary/Description tabs.

·Relationship Map

oShow in List place

This option decides whether to display the relationship map in the list place in upper right.

oShow package name

This option decides whether to display the name of the package.

oShow UML Items

This option decides whether to display the related UML Items.

oShow Requirements in Trash Package

This option decides whether to display the requirements in trash package.

oColored by requirement status

This option decides the requirements whether to be able to color by the their statuses in the relationship map. For non-requirement elements, the color of the shadow area of the element changes. For elements without shadows or depending on the version of EA, the appearance may not change even if the state changes.

oColored Reconsider Requirements

This option adds color to requirements with Review Required status on Relationship Map.

oDirection

This option specifies the direction of impact (destination requirement/source requirement/both) to show requirements on Relationship Map in addition to the specified requirement.

oLayout

This option configures the layout of the relationship map.


View2 Tab (Local Options)

Navigation: Options > Local Options >

View2 Tab (Local Options)

The Tools | Local Options | View2 tab as below:

The following options can be configured:

·Common

oAdd requirement category prefix to requirement ID

When Requirement Category has prefix, it can be added to requirement ID. For example, when prefix of Requirement category is "R" and Requirement ID is "001," the value can be either "001," or "R001."

oAdd package ID to requirement ID

When package has ID, its ID and requirement ID are combined and used as requirement ID.

oSelect the same Item in both Tree and List

This option decides whether to select the same item both in the tree and the list.

·Tree

oShow ID in Tree View

This option determines whether requirement and package IDs are shown in the Project Tree.

oSort by ID in Tree View

This option determines whether to sort items by their IDs in the Project Tree.

oOpens branch by double-click in Project Tree

This option determines whether to open the branch when an item is double clicked in Project Tree.

oExpand Only Root Package when opening Project Tree

This option determines whether to expand packages when opening Project Tree.

·List

oShow CheckBox for Multi Select

This option decides whether to show the checkboxes for selecting multiple requirements.

oVertical center justification of a single line

This option decides whether to center a line in vertical direction.

oAutomatic line break in the multiline attributes

This option decides whether to break the line of the text type attributes, automatically.

oAutomatic resize of column width

This option decides whether to apply the automatic justification of the column width when RaQuest's window width is changed.

oDirect edit by double click

This option decides whether to edit by double click or single click.

oHide requirements with change requirements

This option decides whether to display requirements with change requirements in the Requirements List.

oDon't add "Requirements for" to the name of List tab

This option is for not to add the character string of "Requirement for" to the name of list tab.

·Files, members, test items, comments tab

oDon't clear text when selecting another requirement

This option decides whether to clear texts in the requirement detail's tabs, such as files, members, test items, or comments.

oCheck if a change is saved when selecting another tab

This option decides whether to check when selecting to the other tab, to see if the change has been saved. If it hasn't, a confirmation dialog appears.


App. Look Tab (Local Options)

Navigation: Options > Local Options >

App. Look Tab (Local Options)

The Tools | Local Options | App. Look tab as below.

This tab allows you to set the window style and the fonts to use for displaying trees, lists and matrices as well as those used in printed documents.


List Fields Tab (Local Options)

Navigation: Options > Local Options >

List Fields Tab (Local Options)

The Tools | Local Options | List Fields tab as below:

This tab allows users to set the fields that will appear in the various List views. This is used when the "Local Setting" is selected for the ListItem Name of package property or requirement list.

The settings of this tab are save in the local registry, and used by other project. These settings do not affect other users.

·Kind

Specify the list kind.

·Name

(Cannot be specified)

·New Button

(Not available)

·Delete Button

(Not available)

·Available List

The Available list shows selectable fields.

·Selected List

The Selected list shows currently selected fields. Click the ⇒(Add) and ⇐(Delete) buttons to add or delete fields to/from the Selected list. You can edit directly on the list when you check the checkbox.

·⇑(Up) and ⇓(Down) Buttons

Use these buttons to move fields up or down in the Selected list. The order of fields in this list determines the left-to-right order of columns in the selected List view.


Colors Tab (Local Options)

Navigation: Options > Local Options >

Colors Tab (Local Options)

The Tools | Local Options | Colors tab is shown below:

This option determines the colors of certain statuses of the requirements. To define the colors, click on the buttons and select the desired colors.

·List item color by Status

It changes the color of requirements of specific status in the list.

oUse colors defined by project

This option determines whether to fix the colors for each project. If the checkbox is on, the colors cannot be configured individually.

oReviewed

Reviewed requirement's color.

oApproved

Approved requirement's color.

oPast Due

Past due requirement's color.

oReview Required

Review Required requirement's color.

oUpdated by others

Updated by other users requirement's color.

(The color of requirement which is updated by other users after the previous opening time of the target project.)

oUpdated

Updated requirement's color.

(The color of requirement which is updated after the project is opened this time.)

·Selected Item in Tree/List

oText

Text color of the selected item in Tree and List.

oBackground

Background color of the selected item in Tree and List.

·Updating Attributes

oBackground

Background color of attribute which is modified in the package properties, requirement properties tab (Summary, Details, User-Defined Attributes, Description, Attributes), Attributes (Multi Selected) dialog.


Integration with Enterprise Architect

Navigation:

Integration with Enterprise Architect

The following topics are covered in this section:

·Select Requirement

·Relationships between RaQuest Objects and Enterprise Architect Objects

·Reference Methods for RaQuest Information in Enterprise Architect


Select Requirement

Navigation: Integration with Enterprise Architect >

Select Requirement

These functions enable easier interaction between RaQuest and Enterprise Architect.

Select requirement in RaQuest - EA addin

If "SelectRQReq Addin" is setting at installation, the addin to select the same active requirement with Enterprise Architect is installed in RaQuest. It also adds "Select requirement in RaQuest" to Enterprise Architect Add-Ins menu.

When RaQuest and EA open the same project on the same PC at a time, a requirement selected in EA will also be selected in RaQuest by selecting this Add-In menu.

Please note Enterprise Architect does not show any message if requirements are successfully selected or not.

Select element in EA - RaQuest Tool

If "SelectEAReq Tool" is setting at installation, a tool to select the same active requirement with RaQuest is installed in Enterprise Architect. It also adds "Select element in EA" in the RaQuest's tool menu.

When RaQuest and EA open the same project on the same PC at a time, a requirement selected in RaQuest will also be selected in EA project browser by selecting this menu.

Please note RaQuest does not show any message if requirements are successfully selected or not.


Relationships between RaQuest Objects and Enterprise Architect Objects

Navigation: Integration with Enterprise Architect >

Relationships between RaQuest Objects and Enterprise Architect Objects

This section describes how RaQuest objects are related to Enterprise Architect objects.

RaQuest objects are stored in the Enterprise Architect Project as shown in the following table:

RaQuest Object | Enterprise Architect Object | Remarks
Requirement | Requirement |
Change | Requirement |
Requirement's Attribute | Requirement's Properties or Tagged Value |
User-defined Attribute | Requirement Tagged Value |
Relationship between requirements | Dependency connector between requirements |
Package | Package |
Comment | Note connected with requirement by the Notelink connector | Public comments are stored to Element Issues
File | Requirement's File |
Member | Resource | ref. Members
Assigned member | Resource allocation of requirement | ref. Members
Relationships between requirements and Use Cases | Realize connectors between requirements and Use Cases |
Relationship between Requirements and elements of Enterprise Architect | Realize connectors between requirements and elements | Diagrams, attributes and methods are stored as File
Test items | Test items of requirement |
ID Numbering of RaQuest | Auto Counter (Type = Requirements) | synchronize either active or nonactive statuses
Login user name | Author in the Options dialog | ref.Login User Name
Requirement types | Requirement Types of General Types | ref.Enterprise Architect Requirement Types The order of Requirement Types is not stored in Enterprise Architect.
Status types | Status Types of General Types | ref.Enterprise Architect Requirement Status The order of Requirement Types is not stored in Enterprise Architect.

As you can see above, almost all information about requirements, except requirement update log, is accessible from Enterprise Architect. See Reference Methods for RaQuest Information in Enterprise Architect for details.


Login User Name

Navigation: Integration with Enterprise Architect > Relationships between RaQuest Objects and Enterprise Architect Objects >

Login User Name

The setting of the user's name is common to Enterprise Architect and RaQuest.

The details of the procedure to configure the user's name in Enterprise Architect are as follows:

Enterprise Architect [Desktop Edition]/[Professional Edition]/[Corporate or Upper Edition with no security]

1.Start Enterprise Architect.

2.Select Start panel | Appearance | Preferences | Preferences item. The Preferences dialog will be displayed.

3.Select the Author field on General and type the desired user name into the Author field if necessary.

Enterprise Architect [Corporate or Upper Edition with security]

1.Start Enterprise Architect and open the project file.

2.The Authorization dialog will be displayed. Login as an administrator.

3.Select Settings panel | Security | Users menu item

4.The Security Users tab appears. Set up the login user.

5.Grant permission to the login user. The following permissions are needed to access all features of RaQuest:

oView Locks

oManage Diagrams

oGenerate Documents

oImport XMI

oExport XMI

oUpdate Elements

oLock Elements

oUpdate Diagrams

oManage Reference Data - Update(Not required. If not granted, the user can't change project option in RaQuest.)

When the project, which security is enabled by Enterprise Architect Corporate or Upper Edition, is loaded, the Authorization dialog appears. Type the registered user's name and password.


Enterprise Architect Requirement Types

Navigation: Integration with Enterprise Architect > Relationships between RaQuest Objects and Enterprise Architect Objects >

Enterprise Architect Requirement Types

The requirement types of RaQuest are synchronized with the status of Enterprise Architect. So, the requirement types can be edited in both RaQuest and Enterprise Architect.

For details of the setting in RaQuest, see "Requirement Type Configuration" page.

The detail procedures for the setting in Enterprise Architect are as follows:

·Start Enterprise Architect and load the project file.

·Select Settings | Reference Data | Model Types | General Types | Requirement tab. The Requirement dialog appears and you can edit requirement types using this dialog.


Enterprise Architect Requirement Status

Navigation: Integration with Enterprise Architect > Relationships between RaQuest Objects and Enterprise Architect Objects >

Enterprise Architect Requirement Status

The requirement status in RaQuest synchronizes with those of Enterprise Architect. The requirement statuses are stored in the project file, allowing requirement status configuration to be modified in both RaQuest and Enterprise Architect.

For details on the requirement status setting in RaQuest, see "Requirement Status Configuration" page.

The detail procedures to edit the status types in Enterprise Architect are as follows:

·Load the project file in Enterprise Architect.

·Select Settings | Reference Data | Model Types | General Types | Status tab. The Status tab appears as shown below. Edit the status types as needed.


Reference Methods for RaQuest Information in Enterprise Architect

Navigation: Integration with Enterprise Architect >

Reference Methods for RaQuest Information in Enterprise Architect

RaQuest information, like attributes, files, comments, etc., can be accessed from Enterprise Architect. (There are some exceptions such as the requirement update log, section, etc.) The following table describes how RaQuest information can be accessed from EA:

RaQuest Information | Steps of Access in EA
Member | Settings | Reference Data | Model Types | People | Resources
Assigned Member | Construct | Resource Management | Resources (Resouce Allocation sub window)
Files | Requirement Properties | Files tab
Attribute | Requirement Property or Tagged Value
Test Items | Construct | Test Management | Tests (Test Cases sub window)
Relationships between requirements | Start | All Windows | Design | Trace (Traceability) sub window


Current Limitations

Navigation: Miscellaneous >

Current Limitations

In the current version, RaQuest has the limitations described below.

·All menu items with "(Not implemented in current build)" are not yet available.

These functions will be able to use in future versions.

·If you use SQL Server as the repository, the following message may appear behind the RaQuest Main Window when you exit RaQuest. The message may only appear immediately after initial setup and configuration.

If this message appears, you must terminate RaQuest from the Task Manager because RaQuest is locked and the dialog cannot be closed. To avoid this problem, check the Enterprise Architect | Start | Preferences | Preferences | Behavior | Auto Save Changes option, as shown below.


Using a Project Created with a Previous Version

Navigation: Miscellaneous >

Using a Project Created with a Previous Version

·When you open a project file created by a previous version of RaQuest, the following dialog may appear: 61
Unless update the data storege mapping, the current version (build) of RaQuest will be unable to open the project file. Please update the data storage mapping with RaQuest Version 4.4 or earlier.

·When you open a RQE project file created by a previous version of RaQuest with Enterprise Architect 16.0 or later, the followin dialog apper:
156
Please change the file extension from RQE to EAPX.


Confirmation dialogs for SysML Data Project

Navigation: Miscellaneous >

Confirmation dialogs for SysML Data Project

These dialogs are to confirm that a project file type is changed to SysML Data Project.

When the file type is changed to SysML Data Project, RaQuest makes the following changes.

·Add SysML Types as Requirement Types

·Set "requirement" as a default value of Requirement Type

·Change value of text tagged value as Requirement Detail

·Change id tagged value as Requirement ID

·The file cannot be opened by RaQuest version 4.0 or earlier

·Fix the the option "Save ID in front of requirement summary" as disabled

·Fix the the option "Use extended format in requirement's detail" as disabled

·Fix the the option "Create a relationship when generating a child requirement" as enabled

·Fix the the option "Specify the type of relationship" with Type "Nesting" as enabled

Please refer the SysML Data Project for actions on SysML Data Project.